commit f416dc92c06c50a51492582cf679cc851644507d
Merge: 2e2128a 4424a9c
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Fri Nov 26 19:15:52 2021 +0000

    Merge branch 'master' into 'master'
    
    Add support for Pseudo Terminals
    
    See merge request GNOME/moserial!11

commit 2e2128aa05cebaece0808034b8569a9188e06a9e
Merge: ab08e46 3b58962
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Fri Nov 26 19:14:27 2021 +0000

    Merge branch 'appdata-release-notes' into 'master'
    
    Add release notes in AppData
    
    See merge request GNOME/moserial!10

commit 4424a9c7e338cca92e0b6791136a093286d00931
Author: Luca Errani <luca.errani1@gmail.com>
Date:   Fri Nov 26 14:54:43 2021 +0100

    Add support for Pseudo Terminals

 src/SettingsDialog.vala | 1 +
 1 file changed, 1 insertion(+)

commit ab08e4648e5ca80729e07b190adb3a1ee6384862
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Nov 16 16:26:53 2021 +0100

    Updated Spanish translation

 doc/es/es.po | 23 +++++++++++------------
 1 file changed, 11 insertions(+), 12 deletions(-)

commit c349f9e514741466fb6cf11af39ae1556222dad3
Author: Jordi Mas <jmas@softcatala.org>
Date:   Sun Nov 14 20:17:02 2021 +0100

    Update Catalan translation

 po/ca.po | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 67a4efaf1a02c44f0060bece5b8459136d3fcca6
Author: Philipp Kiemle <philipp.kiemle@gmail.com>
Date:   Sun Sep 19 22:57:47 2021 +0000

    Update German translation

 po/de.po | 432 ++++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 288 insertions(+), 144 deletions(-)

commit 70e75d55539a4d7e2f5e23a839c78be861dba22a
Author: Nathan Follens <nfollens@gnome.org>
Date:   Mon Sep 13 19:15:07 2021 +0000

    Add Dutch translation

 po/LINGUAS |   1 +
 po/nl.po   | 703 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 704 insertions(+)

commit 123a202331de1e62fe690e8ba795708565e46118
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:   Mon Sep 13 16:34:10 2021 +0000

    Update Danish translation

 po/da.po | 465 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 291 insertions(+), 174 deletions(-)

commit 830f16f0235481a1dc181d6b4440e13a1f15b391
Author: Marek Černocký <marek@manet.cz>
Date:   Mon Sep 6 14:54:09 2021 +0200

    Updated Czech translation

 po/cs.po | 407 +++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 269 insertions(+), 138 deletions(-)

commit 3b589629a19fa91f410b0cd3f4a770d6251c568a
Author: Jordan Williams <jordan@jwillikers.com>
Date:   Thu Jul 29 08:28:11 2021 -0500

    Ignore Flatpak-related build artifacts in Git

 .gitignore | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 3d4be8b0e585f80568d8727ac8462f7834cdd1eb
Author: Jordan Williams <jordan@jwillikers.com>
Date:   Thu Jul 29 08:25:46 2021 -0500

    Add release notes to the AppData file

 data/moserial.appdata.xml.in | 49 ++++++++++++++++++++++++++++++++++++++------
 1 file changed, 43 insertions(+), 6 deletions(-)

commit ad0900dfb282dd982439ec5749f2f38df778f4b0
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Wed Jul 28 08:10:10 2021 -0400

    update yaml file with new svg icon

 org.gnome.moserial.Devel.yaml | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 65efa836f064057496e3cbffa7797353c3b90035
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Wed Jul 28 08:07:10 2021 -0400

    version bump

 NEWS                         | 5 +++++
 configure.ac                 | 2 +-
 data/moserial.appdata.xml.in | 1 +
 3 files changed, 7 insertions(+), 1 deletion(-)

commit 533b1bf72ee6156a69fe9244ae0dfb6eea24cc11
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Wed Jul 28 08:05:04 2021 -0400

    Switch to a scalable SVG icon. Much prettier.

 configure.ac                                      |   8 +-
 data/icons/128x128/apps/moserial.png              | Bin 24408 -> 0 bytes
 data/icons/48x48/Makefile.am                      |   1 -
 data/icons/48x48/apps/Makefile.am                 |   9 -
 data/icons/48x48/apps/moserial.png                | Bin 2853 -> 0 bytes
 data/icons/64x64/Makefile.am                      |   1 -
 data/icons/64x64/apps/Makefile.am                 |   9 -
 data/icons/64x64/apps/moserial.png                | Bin 15588 -> 0 bytes
 data/icons/Makefile.am                            |   2 +-
 data/icons/{128x128 => scalable}/Makefile.am      |   0
 data/icons/{128x128 => scalable}/apps/Makefile.am |   4 +-
 data/icons/scalable/apps/moserial.svg             | 403 ++++++++++++++++++++++
 12 files changed, 408 insertions(+), 29 deletions(-)

commit 6ab5defc2bf2d08e067b519854d651a8d301700d
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Tue Jul 27 19:37:49 2021 -0400

    update logo for gitlab repo

 logo.png | Bin 2853 -> 3711 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

commit fd9b70179be8ae342f78c17a0f7811c0a5bad2c9
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Tue Jul 27 15:50:53 2021 -0400

    add comment to remember to update flathub repo when releasing

 configure.ac | 1 +
 1 file changed, 1 insertion(+)

commit 686061ec1d9133fa4de2f3830454819f1ff342ee
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Tue Jul 27 15:02:43 2021 -0400

    add new icons to yaml file too

 org.gnome.moserial.Devel.yaml | 2 ++
 1 file changed, 2 insertions(+)

commit c84a8a84bf04227dfc4b659c74e6099fabe15358
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Tue Jul 27 14:57:39 2021 -0400

    version bump

 NEWS                         | 5 +++++
 configure.ac                 | 2 +-
 data/moserial.appdata.xml.in | 1 +
 3 files changed, 7 insertions(+), 1 deletion(-)

commit 29d723d235b6b9f2d622e5e9fafce3a14179baff
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Tue Jul 27 14:54:58 2021 -0400

    add 64x64 and 128x128 app icons

 configure.ac                         |   4 ++++
 data/icons/128x128/Makefile.am       |   1 +
 data/icons/128x128/apps/Makefile.am  |   9 +++++++++
 data/icons/128x128/apps/moserial.png | Bin 0 -> 24408 bytes
 data/icons/64x64/Makefile.am         |   1 +
 data/icons/64x64/apps/Makefile.am    |   9 +++++++++
 data/icons/64x64/apps/moserial.png   | Bin 0 -> 15588 bytes
 data/icons/Makefile.am               |   2 +-
 8 files changed, 25 insertions(+), 1 deletion(-)

commit 8f053204e7b653a39fbca8c1813cf44a0c97adab
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Tue Jul 27 13:16:54 2021 -0400

    version bump

 NEWS                         | 5 +++++
 configure.ac                 | 4 +++-
 data/moserial.appdata.xml.in | 1 +
 3 files changed, 9 insertions(+), 1 deletion(-)

commit a0d230642cc3cd90374fc1b5e862874327351847
Merge: 0818bb9 150aeb8
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Tue Jul 27 13:08:51 2021 -0400

    Merge branch 'jwillikers/moserial-flatpak-fixes'

commit 150aeb84cb0fafc827f7640be287745458dbc66f
Author: Jordan Williams <jordan@jwillikers.com>
Date:   Sat Jul 24 08:29:41 2021 -0500

    Note the development version of the Flatpak in the desktop entry's name

 org.gnome.moserial.Devel.yaml | 4 ++++
 1 file changed, 4 insertions(+)

commit 20c75f48885610099a700e2c4b7c282c7fc727c7
Author: Jordan Williams <jordan@jwillikers.com>
Date:   Sat Jul 24 06:24:03 2021 -0500

    Explicitly specify the branch

 org.gnome.moserial.Devel.yaml | 1 +
 1 file changed, 1 insertion(+)

commit d2fa497ea813c3c221b177f06465087f7671e586
Author: Jordan Williams <jordan@jwillikers.com>
Date:   Fri Jul 23 17:45:09 2021 -0500

    Bundle lrzsz

 org.gnome.moserial.Devel.yaml | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit b8827f5aecd471f6c85a7097815bc4757df95de5
Author: Jordan Williams <jordan@jwillikers.com>
Date:   Fri Jul 23 17:38:06 2021 -0500

    At least allow access to documents

 org.gnome.moserial.Devel.yaml | 1 +
 1 file changed, 1 insertion(+)

commit 3fe2e4578e1231fbaef8fab8628ddc658b942345
Author: Jordan Williams <jordan@jwillikers.com>
Date:   Fri Jul 23 17:21:49 2021 -0500

    Rely on native FileChooser for accessing files instead of xdg-portal

 org.gnome.moserial.Devel.yaml | 1 -
 1 file changed, 1 deletion(-)

commit 81863d59dcc07184c5dca1e101da870b1f2f79f3
Author: Jordan Williams <jordan@jwillikers.com>
Date:   Fri Jul 23 16:25:50 2021 -0500

    Add release tags

 data/moserial.appdata.xml.in | 5 +++++
 1 file changed, 5 insertions(+)

commit 7b843b34b7cd134557fd318d51a6e310535ffe6d
Author: Jordan Williams <jordan@jwillikers.com>
Date:   Fri Jul 23 16:16:03 2021 -0500

    Restrict access to the documents directory

 org.gnome.moserial.Devel.yaml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d1028759ac896a22943eedeff9379ede44dfd688
Author: Jordan Williams <jordan@jwillikers.com>
Date:   Fri Jul 23 16:10:25 2021 -0500

    Fallback to X11

 org.gnome.moserial.Devel.yaml | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 0950cf1cf8f10e510688ea06f35d54137426c98f
Author: Jordan Williams <jordan@jwillikers.com>
Date:   Fri Jul 23 16:00:07 2021 -0500

    Fix image link URL in AppStream metadata

 data/moserial.appdata.xml.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cffd4dbd5c98c0c6a354f4bd4319199ecd2c1dfd
Author: Jordan Williams <jordan@jwillikers.com>
Date:   Fri Jul 23 15:55:13 2021 -0500

    git commit -m "Add OARS content rating"

 data/moserial.appdata.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit 0818bb90a757067e612cce0593440de05e63a438
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Fri Jul 23 15:41:35 2021 -0400

    explicitly pass arguments from autogen.sh to gnome-autogen.sh

 NEWS         | 10 ++++++++++
 autogen.sh   |  2 +-
 configure.ac |  2 +-
 3 files changed, 12 insertions(+), 2 deletions(-)

commit 7093d85c2faeb128bc4f050032fcb6bae77bd0cd
Merge: 69c840b f533a20
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Fri Jul 23 18:47:20 2021 +0000

    Merge branch 'flatpak' into 'master'
    
    Add Flatpak manifest
    
    Closes #11
    
    See merge request GNOME/moserial!8

commit f533a204bb7cdab070032286dee5687dea817604
Author: Jordan Williams <jordan@jwillikers.com>
Date:   Tue Jul 20 06:19:32 2021 -0500

    Update comment in manifest

 org.gnome.moserial.Devel.yaml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c663fecadcb7318ba8e218daf102033eea73a599
Author: Jordan Williams <jordan@jwillikers.com>
Date:   Tue Jul 20 06:19:11 2021 -0500

    Use path to local Git repository

 org.gnome.moserial.Devel.yaml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c565ae020991fb49b6bf1338a36ef55897f6ac5f
Author: Jordan Williams <jordan@jwillikers.com>
Date:   Tue Jul 20 06:18:14 2021 -0500

    Use install commands instead of cp

 org.gnome.moserial.Devel.yaml | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit d018fb797c41a12c42abfedc0d63dea6791593df
Author: Jordan Williams <jordan@jwillikers.com>
Date:   Tue Jul 20 06:17:16 2021 -0500

    Fix typo in README

 README | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e688da2a986309e7100722b5ae4006def3f42c3f
Author: Jordan Williams <jordan@jwillikers.com>
Date:   Fri Jul 9 14:20:19 2021 -0500

    Suffix the Flatpak as ".Devel"
    
    This should be the default for developer builds.
    Since this is handled in the Flatpak manifest this is fine.
    The build system should ultimately handle this naming.
    The build system should then take care to use the ".Devel" suffix.
    It should not use this suffix when the Flathub repo attempts to build.
    Of course, that's all to be handled sometime in the future.

 README                        |  2 +-
 org.gnome.moserial.Devel.yaml | 12 ++++++------
 2 files changed, 7 insertions(+), 7 deletions(-)

commit 8f62895c3c2c87c1cfbf0ff7c96de0d1422db95d
Author: Jordan Williams <jordan@jwillikers.com>
Date:   Fri Jul 9 14:10:42 2021 -0500

    Update reference to old GitHub repository

 README | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 33c29f6881e2fd790334030aa8de9fe72d828837
Author: Jordan Williams <jordan@jwillikers.com>
Date:   Fri Jul 9 14:08:12 2021 -0500

    Add clone command for building the Flatpak to the README
    
    There's a Git submodule, so `--recursive` is necessary.

 README | 6 ++++++
 1 file changed, 6 insertions(+)

commit 61346370e160c4af21780e503256f43ccb2e7fb5
Author: Jordan Williams <jordan@jwillikers.com>
Date:   Fri Jul 9 13:04:16 2021 -0500

    Add the gnome-autogen.sh script to the repository

 gnome-autogen.sh              | 409 ++++++++++++++++++++++++++++++++++++++++++
 org.gnome.moserial.Devel.yaml |   4 -
 2 files changed, 409 insertions(+), 4 deletions(-)

commit 600c19d7804d51d75a7852f255fd00893660aeed
Author: Jordan Williams <jordan@jwillikers.com>
Date:   Fri Jul 9 13:02:28 2021 -0500

    Fix calling convention in autogen.sh script

 autogen.sh                    | 2 +-
 org.gnome.moserial.Devel.yaml | 3 ---
 2 files changed, 1 insertion(+), 4 deletions(-)

commit 7a9f3547f98d5d806e0447dc49733d8691ce3377
Author: Jordan Williams <jordan@jwillikers.com>
Date:   Fri Jul 9 13:01:38 2021 -0500

    Add Flatpak manifest
    
    This commit adds a Flatpak manifest file for packaging moserial.
    The manifest is meant for making nightly builds in CI and local builds.
    It's based on the workflow used in GNOME Podcasts.
    
    Additional work will need to be done to implement nightly builds.
    Given GNOME's infrastructure, this will probably be easier using Meson.
    I have left that bit out for now.
    More steps may be necessary to add moserial to GNOME's Flatpak repo.
    
    A similar manifest should be submitted to the Flathub repository.
    This will make it more widely accessible for users to install.
    
    The desktop file, icon, and AppStream metadata are patched.
    Flatpak expects these files to be named with the full Flatpak name.
    So moserial.png becomes org.gnome.moserial.png and etc.
    This is not the ideal solution, nor is it complete.
    It should be able to configure names with the optional '.Devel' suffix.
    GNOME Podcasts does this with an application_id variable with Meson.
    For development, the id would become org.gnome.moserial.Devel.
    All file names would likewise follow suite.
    This responsibility ultimately belongs to the build system, though.
    The build system should be expanded to configure things appropriately.
    
    The README file has been updated accordingly.
    It now contains the instructions necessary for building the Flatpak.
    
    This commit also had to workaround issues building the configure script.
    The file gnome-autogen.sh is not present in the repository.
    It is downloaded by the manifest.
    The autogen.sh file does not call the script correctly.
    This is also patched in the manifest
    These issues should be fixed in the future.

 .gitmodules                   |  3 +++
 README                        | 42 ++++++++++++++++++++++++++++++++++++++----
 org.gnome.moserial.Devel.yaml | 37 +++++++++++++++++++++++++++++++++++++
 shared-modules                |  1 +
 4 files changed, 79 insertions(+), 4 deletions(-)

commit 69c840bf2ded289a430da2e10c9c6d9b5150f78a
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Fri Jun 11 13:02:41 2021 -0400

    remove blank MimeType line from desktop file

 data/moserial.desktop.in | 1 -
 1 file changed, 1 deletion(-)

commit 90fc29677b46647f53428452cb45a11056c24dfb
Author: Andika Triwidada <atriwidada@gnome.org>
Date:   Fri Jun 4 02:35:19 2021 +0000

    Update Indonesian translation

 po/id.po | 394 ++++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 263 insertions(+), 131 deletions(-)

commit 1ec1e97385cc51cc649726edbf8dd34d271486bc
Author: Asier Sarasua Garmendia <asiersarasua@ni.eus>
Date:   Tue Apr 6 19:32:31 2021 +0000

    Update Basque translation

 po/eu.po | 416 ++++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 276 insertions(+), 140 deletions(-)

commit 7e5c3c471205b67c8e09637212a32209153e4227
Author: Muhammet Kara <muhammetk@gmail.com>
Date:   Sun Mar 21 17:22:26 2021 +0000

    Update Turkish translation

 po/tr.po | 406 +++++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 278 insertions(+), 128 deletions(-)

commit 3bd769dbcc24e97b2ab35a2553c4d4a2d1f51e42
Author: Balázs Úr <balazs@urbalazs.hu>
Date:   Thu Mar 18 07:02:02 2021 +0000

    Update Hungarian translation

 po/hu.po | 569 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 351 insertions(+), 218 deletions(-)

commit 75de7230a110e5e8dc48120f2fe6373ac89b774d
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Tue Feb 23 11:10:15 2021 -0500

    updated NEWS

 NEWS | 2 ++
 1 file changed, 2 insertions(+)

commit 59e1bfe239fc2676007312f0ea98962335d7529d
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Feb 16 12:26:25 2021 +0000

    Update Spanish translation

 po/es.po | 426 ++++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 282 insertions(+), 144 deletions(-)

commit ceba222621284b306e78c5439c27838a7a23a522
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Sat Feb 13 12:14:31 2021 +0000

    Update Swedish translation

 po/sv.po | 384 ++++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 244 insertions(+), 140 deletions(-)

commit 56777f88138b274eb41fb1ea2e10e75e73cec576
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Tue Feb 9 12:57:54 2021 -0500

    NEWS update

 NEWS | 1 +
 1 file changed, 1 insertion(+)

commit 86328d3c962225fe201a5848d837882d81f146a7
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Sat Feb 6 07:59:56 2021 +0000

    Update Serbian translation

 po/sr.po | 437 ++++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 291 insertions(+), 146 deletions(-)

commit 7917f0a3cab556c9c624028176b7641f7121da24
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Tue Feb 2 11:54:31 2021 -0500

    added more accelerator keys, NEWS update, version bump

 NEWS                  | 7 +++++++
 configure.ac          | 2 +-
 data/ui/mainwindow.ui | 5 +++++
 3 files changed, 13 insertions(+), 1 deletion(-)

commit 178383310cda10634e03b62896b91cf2abc199e5
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Jan 31 10:21:44 2021 +0100

    Update Polish translation

 po/pl.po | 46 +++++++++++++++++++++++++++++-----------------
 1 file changed, 29 insertions(+), 17 deletions(-)

commit f5c42477cad4814de4406dfa37986d33cbcf1ca8
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Wed Jan 27 16:19:41 2021 -0500

    add the cut/copy/paste accelerator keys

 data/ui/mainwindow.ui | 3 +++
 1 file changed, 3 insertions(+)

commit 4835fc9ef4e3d0c76d6136d33df2a87b4429fb3c
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Wed Jan 27 14:29:02 2021 -0500

    NEWS update

 NEWS | 1 +
 1 file changed, 1 insertion(+)

commit a2098a5477a652ca1671fa4ee010b885568b7df1
Author: Enrico Nicoletto <liverig@gmail.com>
Date:   Wed Jan 27 15:02:37 2021 +0000

    Update Brazilian Portuguese translation

 po/pt_BR.po | 638 +++++++++++++++++++++++++-----------------------------------
 1 file changed, 270 insertions(+), 368 deletions(-)

commit 6ea62963d3ce04bf45a41510848372803e4d1f92
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Tue Jan 26 14:54:02 2021 -0500

    version bump, NEWS update, correct bug database URL

 NEWS         | 7 +++++++
 configure.ac | 2 +-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit af6a872437a610b4ab5cff6c06b3d450324204b8
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   Tue Jan 26 18:24:19 2021 +0000

    Update Ukrainian translation

 po/uk.po | 55 ++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 34 insertions(+), 21 deletions(-)

commit f650e02b35f1e53b41308edcc36550edcd0af877
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Tue Jan 26 09:48:13 2021 -0500

    use different connectButton icons for connected/disconnected states

 data/ui/mainwindow.ui | 2 +-
 src/MainWindow.vala   | 3 +++
 2 files changed, 4 insertions(+), 1 deletion(-)

commit 87b68b1370ac3a9b6c55311aa870e0ea6a92ece1
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Tue Jan 26 09:30:57 2021 -0500

    add option to connect automatically on startup or profile load

 data/ui/settings_dialog.ui | 57 +++++++++++++++++++++++++++++-----------------
 src/MainWindow.vala        |  5 ++++
 src/Settings.vala          | 12 +++++++---
 src/SettingsDialog.vala    | 14 +++++++++++-
 4 files changed, 63 insertions(+), 25 deletions(-)

commit 9cbb2e3466fa498e67be4c0f85052f782017cbc5
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Mon Jan 25 11:32:00 2021 -0500

    version bump and NEWS update

 NEWS         | 9 +++++++++
 configure.ac | 2 +-
 2 files changed, 10 insertions(+), 1 deletion(-)

commit 02481de4e878c15362d4bac71a643bc736db05a4
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Jan 24 13:37:21 2021 +0100

    Update Polish translation

 po/pl.po | 288 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 181 insertions(+), 107 deletions(-)

commit 61846c46a026fa47c39f028270f1bc3b267825b2
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   Fri Jan 22 19:16:37 2021 +0000

    Update Ukrainian translation

 po/uk.po | 105 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 57 insertions(+), 48 deletions(-)

commit 74004c593bc6f9b5012bbf55808007e3b5b16b5f
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Fri Jan 22 13:42:31 2021 -0500

    make the visibility of the signal indicators optional, for less clutter

 data/ui/mainwindow.ui | 26 ++++++++++++++++++++++++--
 src/MainWindow.vala   | 29 +++++++++++++++++++++++++++++
 2 files changed, 53 insertions(+), 2 deletions(-)

commit f51e0537043397ddc16cc5a6ada5f6f6f7a4c763
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Fri Jan 22 12:38:02 2021 -0500

    apply the profile (default or not) all at once, not in bits

 src/MainWindow.vala | 97 +++++++++++++++++++++++++++--------------------------
 1 file changed, 49 insertions(+), 48 deletions(-)

commit 36caca0fb088e6bd795bc9681d33cb81bdc397dc
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Fri Jan 22 11:59:16 2021 -0500

    make profileChanged flag externally read-only

 src/MainWindow.vala | 2 --
 src/Profile.vala    | 6 +++++-
 2 files changed, 5 insertions(+), 3 deletions(-)

commit a7a8b339c963f63fceb998090aef4d4ae7ee1903
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Fri Jan 22 09:18:36 2021 -0500

    use generic profile variable saving functions instead of special routines

 src/MainWindow.vala | 23 ++++++++++++-----------
 src/Profile.vala    | 37 -------------------------------------
 2 files changed, 12 insertions(+), 48 deletions(-)

commit d5eb3a6db3c781f32ce330836580b3840d436f00
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Fri Jan 22 09:03:52 2021 -0500

    Do not access keyFile directly. Add internal keyFile change detection.

 src/DefaultPaths.vala |  6 +++---
 src/MainWindow.vala   |  2 --
 src/Preferences.vala  | 24 ++++++++++++------------
 src/Profile.vala      | 47 +++++++++++++++++++++++++++++++++++------------
 src/Settings.vala     | 16 ++++++++--------
 5 files changed, 58 insertions(+), 37 deletions(-)

commit f088b9302e2e5a3bfea665aa16dd39acbd27d671
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Fri Jan 22 08:43:35 2021 -0500

    move profile access methods into the Profile class, not the MoUtils class

 src/DefaultPaths.vala |  2 +-
 src/MainWindow.vala   | 14 +++++++-------
 src/MoUtils.vala      | 33 ---------------------------------
 src/Preferences.vala  | 24 ++++++++++++------------
 src/Profile.vala      | 34 ++++++++++++++++++++++++++++++++++
 src/Settings.vala     | 16 ++++++++--------
 6 files changed, 62 insertions(+), 61 deletions(-)

commit 70524034e91866b6475a612cc0d615a41af59427
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Fri Jan 22 08:20:23 2021 -0500

    read profile data via MoUtils routines for consistency and less duplication of code

 src/DefaultPaths.vala | 10 +++------
 src/MainWindow.vala   | 14 ++++++------
 src/Profile.vala      | 62 ---------------------------------------------------
 3 files changed, 10 insertions(+), 76 deletions(-)

commit badcec29e3d52b60d29a0ef029bcc4a4d62a4c38
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   Fri Jan 22 06:32:46 2021 +0000

    Update Ukrainian translation

 po/uk.po | 74 +++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 38 insertions(+), 36 deletions(-)

commit 0866e181e93175a5792174a9c79cbd94535a3a28
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Thu Jan 21 15:51:42 2021 -0500

    store "other" settings in a separate section of the profile files

 src/MainWindow.vala | 11 ++---------
 src/Profile.vala    | 32 +++++++++++---------------------
 2 files changed, 13 insertions(+), 30 deletions(-)

commit 07cd266cdb79a9b32cf176ac323ff050368d28e9
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Thu Jan 21 14:34:47 2021 -0500

    make the profileChanged flag part of the profile class itself

 src/MainWindow.vala | 12 +++++-------
 src/Profile.vala    |  2 ++
 2 files changed, 7 insertions(+), 7 deletions(-)

commit 2a59ece80324dd56f73fab96cdf795e8e38cb756
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Wed Jan 20 08:04:32 2021 -0500

    added a description field to the doap file

 moserial.doap | 1 +
 1 file changed, 1 insertion(+)

commit 36aafb32b39a87f2396251ad02d6d9bd100ba508
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Wed Jan 20 07:54:25 2021 -0500

    better contribution attributions

 AUTHORS |  2 ++
 NEWS    | 12 +++++++++---
 2 files changed, 11 insertions(+), 3 deletions(-)

commit f23a99a4e97185281a09663c4cb48f242b328708
Merge: e727e7b 33f4d7b
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Wed Jan 20 12:42:12 2021 +0000

    Merge branch 'add_uk_docs' into 'master'
    
    Add Ukrainian translation of docs
    
    See merge request GNOME/moserial!6

commit 33f4d7bc990b9c4bd65e062d977b33d2ee219558
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   Tue Jan 19 16:10:01 2021 +0200

    Add Ukrainian translation of docs

 doc/Makefile.am |   2 +-
 doc/uk/uk.po    | 846 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 847 insertions(+), 1 deletion(-)

commit e727e7b47de443cc008da12021a2d7e74c072aed
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   Tue Jan 19 07:18:02 2021 +0000

    Update Ukrainian translation

 po/uk.po | 47 ++++++++++++++++++++++++++---------------------
 1 file changed, 26 insertions(+), 21 deletions(-)

commit 4a77baa4952aecba8fb21f33cc3f0ca0fc9663c8
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Mon Jan 18 15:47:14 2021 -0500

    renamed README.md to README to keep distcheck happy

 Makefile.am         | 2 +-
 README.md => README | 0
 2 files changed, 1 insertion(+), 1 deletion(-)

commit d7d1e4ddb20edb36f2e5b56d3a7ee55b4ad5daa8
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Mon Jan 18 15:39:29 2021 -0500

    remove MAINTAINERS from Makefile.am

 Makefile.am | 1 -
 1 file changed, 1 deletion(-)

commit 17d838d1831ef793ca303be930408a404125d780
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Mon Jan 18 15:31:10 2021 -0500

    updated NEWS

 NEWS | 1 +
 1 file changed, 1 insertion(+)

commit b47e0ec95c6f2194317a5824cfeefb85d40f9008
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Mon Jan 18 15:29:10 2021 -0500

    delete MAINTAINERS, we have doap

 MAINTAINERS | 3 ---
 1 file changed, 3 deletions(-)

commit 35e5942c008f127d771bddbe61ccc714ca53fab6
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Mon Jan 18 15:23:35 2021 -0500

     detect detached serial device, bug 791872

 src/MainWindow.vala       | 19 +++++++++++++++++++
 src/SerialConnection.vala | 24 +++++++++++++++++++++++-
 2 files changed, 42 insertions(+), 1 deletion(-)

commit a514a282a931eab44d81db9f9a9795ed0f9504b6
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Mon Jan 18 15:09:53 2021 -0500

    fix README.md in Makefile.am for distcheck

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4e970fe7eac6f937c58a0e265abcd43df48b2ec1
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Mon Jan 18 13:59:32 2021 -0500

    update NEWS

 NEWS | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 90108544df656847e86df78f91f81e7878c8e162
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Mon Jan 18 13:56:10 2021 -0500

    add automatic filename to allow immediate recording, bug 793146

 data/ui/preferences.ui     | 193 ++++++++++++++++++++++++++++++++++++++++++++-
 src/MainWindow.vala        |  44 +++++++++--
 src/Preferences.vala       |  48 ++++++++++-
 src/PreferencesDialog.vala |  55 ++++++++++++-
 4 files changed, 325 insertions(+), 15 deletions(-)

commit a865bb3292a9b4e194c58b46a3afeee67591c3da
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   Mon Jan 18 18:42:41 2021 +0000

    Update Ukrainian translation

 po/uk.po | 331 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 203 insertions(+), 128 deletions(-)

commit fcc7ec1011ded782733a413f56f20339e81307b0
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Mon Jan 18 10:10:54 2021 -0500

    mark more strings as translatable in the glade files

 data/ui/mainwindow.ui | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit a7566c628ed373c6bc4cc994cbf2a3abe9225087
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Mon Jan 18 09:56:30 2021 -0500

    purge remaining gtk-stock items

 data/ui/receive_progress.ui       |  38 +++----
 data/ui/send_progress_dialog.ui   |  38 +++----
 data/ui/settings_dialog.ui        | 218 +++++++++++++++++++++-----------------
 data/ui/xmodem_filename_dialog.ui |  36 +++----
 4 files changed, 169 insertions(+), 161 deletions(-)

commit a6df3ff4a13e7b5c13039abae03cce3be43ef88d
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Mon Jan 18 09:49:43 2021 -0500

    remove redundant translation markings

 data/ui/mainwindow.ui | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 3322c24040f4d320e646ff63baff5919ec21fb13
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Mon Jan 18 09:46:10 2021 -0500

    purge gtk-stock from preferences menu

 data/ui/preferences.ui | 115 +++++++++++++++++++++++--------------------------
 1 file changed, 55 insertions(+), 60 deletions(-)

commit 931a322e136351aae3bf70f6af89a0731e6c502e
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Mon Jan 18 09:34:00 2021 -0500

    add tooltips to serial input line indicators

 data/ui/mainwindow.ui | 4 ++++
 1 file changed, 4 insertions(+)

commit 829fb42d43655131969a49ea453d2979dff94df7
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Mon Jan 18 09:27:26 2021 -0500

    purge gtk stock icons from the main window

 data/ui/mainwindow.ui | 496 +++++++++++++++++++++++++++++---------------------
 1 file changed, 289 insertions(+), 207 deletions(-)

commit f90e22ebaf01e7febac8eaf55ca8f61391f0d1a5
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Mon Jan 18 08:56:47 2021 -0500

    better tooltips for the manual output signals

 src/MainWindow.vala | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit e6ee5b8c44b74613a5ed67e1427dbeb3e1656e55
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Jan 17 12:59:00 2021 +0100

    Update Polish translation

 doc/pl/pl.po |   6 +-
 po/pl.po     | 219 +++++++++++++++++++++++++++++++++++------------------------
 2 files changed, 135 insertions(+), 90 deletions(-)

commit d1f06ce2751c1933610fef73360b7dcde74a343a
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Jan 17 12:50:40 2021 +0100

    Remove binary Chinese (Taiwan) translation

 po/zh_TW.mo | Bin 8815 -> 0 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

commit 27cc732d7a3615e1d5a397df6f3bcfe269e50e91
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Sat Jan 16 23:46:09 2021 +0000

    Update Swedish translation

 po/sv.po | 359 +++++++++++++++++++++++----------------------------------------
 1 file changed, 130 insertions(+), 229 deletions(-)

commit f72c83db8c9394b5291655bb8c2381c3cb3743be
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Sat Jan 16 14:14:51 2021 -0500

    remove redundant serial setup code, and rely mostly on cfmakeraw to set mode

 src/SerialConnection.vala | 31 ++++---------------------------
 1 file changed, 4 insertions(+), 27 deletions(-)

commit 9255f3acb675d097c0743852ecfcae72940727e9
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   Sat Jan 16 18:41:58 2021 +0000

    Update Ukrainian translation

 po/uk.po | 259 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 151 insertions(+), 108 deletions(-)

commit f4389f1c0053037f256d1265344e5a806bbbdc2e
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Sat Jan 16 17:41:52 2021 +0000

    Update Swedish translation

 doc/sv/sv.po | 57 ++++++++++++++++++---------------------------------------
 1 file changed, 18 insertions(+), 39 deletions(-)

commit 9df49c5341d09accdc57aba2ff31a9c23fbfc864
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Sat Jan 16 10:13:05 2021 -0500

    more email updates

 MAINTAINERS         | 2 +-
 doc/C/index.docbook | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit d178d227edeca024219cb43e8a523eff0a0ffd79
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Sat Jan 16 09:45:49 2021 -0500

    indent and space cleanup, astyle -A8 -c *.vala

 src/AutoScroll.vala            |  12 +-
 src/DefaultPaths.vala          |  15 ++-
 src/HexTextBuffer.vala         |  15 ++-
 src/InputParser.vala           | 144 ++++++++++-----------
 src/Main.vala                  |   9 +-
 src/MainWindow.vala            | 278 +++++++++++++++++++++++++----------------
 src/MoUtils.vala               |  30 +++--
 src/Preferences.vala           |  21 ++--
 src/PreferencesDialog.vala     |  24 ++--
 src/Profile.vala               |  51 +++++---
 src/ReceiveChooserDialog.vala  |  15 ++-
 src/ReceiveProgressDialog.vala |  20 +--
 src/RecordDialog.vala          |  37 +++---
 src/Rzwrapper.vala             |  56 +++++----
 src/SendChooserDialog.vala     |  17 ++-
 src/SendProgressDialog.vala    |  18 ++-
 src/SerialConnection.vala      | 173 +++++++++++++------------
 src/SerialStreamRecorder.vala  |  27 ++--
 src/Settings.vala              |  67 +++++-----
 src/SettingsDialog.vala        |  24 ++--
 src/Szwrapper.vala             |  53 ++++----
 src/XmodemFilenameDialog.vala  |  17 ++-
 22 files changed, 673 insertions(+), 450 deletions(-)

commit 6bbdfb3809116904353f51838a3bab3ae55eb891
Merge: e239b26 5093013
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Sat Jan 16 14:30:26 2021 +0000

    Merge branch 'arnaudb/avatar' into 'master'
    
    Set application avatar in Gitlab.
    
    See merge request GNOME/moserial!4

commit e239b26bb924e5a62e93a9794b1cad0e726c8491
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Sat Jan 16 09:11:51 2021 -0500

    disable last sent string saving, I found this annoying

 src/MainWindow.vala | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit d4ab87c5a2849ab67467435f291e1d74a45f6a4a
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Sat Jan 16 08:52:52 2021 -0500

    further author email updates, year update

 src/MainWindow.vala | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit fea955e0a7e38dcf0a83a41e473c12de9b2cca5b
Author: Mictronics <github@mictronics.de>
Date:   Thu Dec 17 17:52:20 2020 +0100

    Ignore Debian package build files.

 .gitignore | 3 +++
 1 file changed, 3 insertions(+)

commit ee235c573979e6f74ea0155255ec1b2016fd8851
Author: Mictronics <github@mictronics.de>
Date:   Thu Dec 17 17:49:16 2020 +0100

    Strip all non hexadecimal characters from input string when hex mode is selected.

 src/MainWindow.vala | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit f1ee7430f9c91e01af67439586438bbcf4f65d82
Author: Mictronics <github@mictronics.de>
Date:   Sat May 2 19:59:56 2020 +0200

    Bump version to v3.0.13

 NEWS                | 20 ++++++++++++++++++++
 configure.ac        |  2 +-
 src/MainWindow.vala |  2 +-
 3 files changed, 22 insertions(+), 2 deletions(-)

commit e3d933831c42b379db0b39fc2a45795fe0d0587b
Author: Mictronics <github@mictronics.de>
Date:   Tue Apr 28 20:58:24 2020 +0200

    Fix hardware handshake.

 src/MainWindow.vala       | 14 ++++++++------
 src/SerialConnection.vala | 16 ++++++++--------
 2 files changed, 16 insertions(+), 14 deletions(-)

commit f524e06ea636c81b91309a5e1d4496c35278f9dd
Author: Mictronics <github@mictronics.de>
Date:   Mon Apr 27 21:33:02 2020 +0200

    Save and restore outgoing input string from profile.

 data/ui/mainwindow.ui |  2 ++
 src/MainWindow.vala   | 11 +++++++----
 src/Profile.vala      | 12 ++++++++++++
 3 files changed, 21 insertions(+), 4 deletions(-)

commit 51f0ece63743cfb73cef3234bc58ccef718b660f
Author: Mictronics <github@mictronics.de>
Date:   Mon Apr 27 21:07:24 2020 +0200

    Save and restore input line ending from profile.

 src/MainWindow.vala |  7 ++++++-
 src/Profile.vala    | 12 ++++++++++++
 2 files changed, 18 insertions(+), 1 deletion(-)

commit 54f373403e4b25a302ee96e970557c2c2a289887
Author: Mictronics <github@mictronics.de>
Date:   Mon Apr 27 20:52:48 2020 +0200

    Save and restore input mode from profile.

 src/MainWindow.vala |  8 +++++++-
 src/Profile.vala    | 12 ++++++++++++
 2 files changed, 19 insertions(+), 1 deletion(-)

commit f0da48fbde6493ab0074a860a570f03c6a80fe50
Author: Mictronics <github@mictronics.de>
Date:   Mon Apr 27 20:33:50 2020 +0200

    Save and restore selected notebook tabs from profile.

 src/MainWindow.vala  | 31 ++++++++++++++++++++++++-------
 src/Preferences.vala |  2 +-
 src/Profile.vala     | 29 +++++++++++++++++++++++++++++
 3 files changed, 54 insertions(+), 8 deletions(-)

commit c6f0fc8a9f8b0a5f32ff52e6b5a08c758e80af16
Author: Mictronics <github@mictronics.de>
Date:   Mon Apr 27 17:54:20 2020 +0200

    Allow custom baud rate input.

 data/ui/settings_dialog.ui | 32 ++++++++++++++++++++++----------
 src/MoUtils.vala           | 12 ++++++++----
 src/SerialConnection.vala  |  3 +++
 src/SettingsDialog.vala    | 29 ++++++++++++++++++-----------
 4 files changed, 51 insertions(+), 25 deletions(-)

commit 204441ba3f34c51ccd93dd6ae93d6b369a0bc3f1
Author: Mictronics <github@mictronics.de>
Date:   Mon Apr 27 16:52:16 2020 +0200

    Fix baud number.

 src/Settings.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ad233e2e64b5c2501f55325d583d4737413a3b6d
Author: Mictronics <github@mictronics.de>
Date:   Mon Apr 27 16:32:12 2020 +0200

    Add 3MBaud rate.

 src/SerialConnection.vala | 3 +++
 src/Settings.vala         | 3 ++-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 0395cae65195f58a9a3ed2532622744cd3a32acc
Author: Mictronics <github@mictronics.de>
Date:   Mon Apr 27 16:21:56 2020 +0200

    Don't use legacy path for AppStream metainfo file.

 data/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4077e2d90db25c7ea27cf13ef03aa248b7b6f10a
Author: Mictronics <github@mictronics.de>
Date:   Mon Apr 27 16:21:24 2020 +0200

    Make automake happy again.

 Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 38b7c0d429c303329cb97ffb79df16cc178e5950
Author: Mictronics <github@mictronics.de>
Date:   Mon Apr 27 15:58:28 2020 +0200

    Fix double column in device ComboBox.

 src/SettingsDialog.vala | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 78e3a1352dd86fc06646b20fbeb3578f76577d03
Author: Mictronics <github@mictronics.de>
Date:   Sun Apr 26 21:46:45 2020 +0200

    Use ComboBox with text field for device selection.

 data/ui/settings_dialog.ui | 31 +++++++++++++++++++++----------
 src/SettingsDialog.vala    | 20 +++++++-------------
 2 files changed, 28 insertions(+), 23 deletions(-)

commit eb7d9297e69aef0272508fb2f6efc46495ff754f
Author: Mictronics <github@mictronics.de>
Date:   Sun Apr 26 21:17:14 2020 +0200

    Fix outgoing input field and send button are sensitive while port access mode is read-only.

 src/MainWindow.vala | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit 72657c5b9103d81f7a207e30dfe81d6149e0d701
Author: Mictronics <github@mictronics.de>
Date:   Sun Apr 26 20:54:03 2020 +0200

    Add ttyAMA filter for example on Raspberry Pi.

 src/SettingsDialog.vala | 1 +
 1 file changed, 1 insertion(+)

commit f5bbbd7d61897ba1258ff924fbb15bcd26596053
Author: Mictronics <github@mictronics.de>
Date:   Sun Apr 26 20:05:26 2020 +0200

    Update README.

 README    | 25 ----------------------
 README.md | 73 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 73 insertions(+), 25 deletions(-)

commit a68927e9789272815200529b31a624e0d61a9595
Author: Mictronics <github@mictronics.de>
Date:   Sun Apr 26 19:40:36 2020 +0200

    Fix deprecated Gtk.Color. Use CSS for textview colors and font.

 data/ui/mainwindow.ui | 20 +++++++++++++
 src/MainWindow.vala   | 79 +++++++++++++++++++++++++++++++++++----------------
 src/Preferences.vala  |  6 ++--
 3 files changed, 78 insertions(+), 27 deletions(-)

commit d9d6d69bb500f912ed703af7b0bbc0b3a6be9ef9
Author: Mictronics <github@mictronics.de>
Date:   Sat Apr 25 21:28:11 2020 +0200

    Add functionality for clear and DTR/RTS toggle button

 src/MainWindow.vala | 124 ++++++++++++++++++++++++++++++++--------------------
 1 file changed, 77 insertions(+), 47 deletions(-)

commit 8ea199d0ec88a05c73851c065f67f45110e19c53
Author: Mictronics <github@mictronics.de>
Date:   Sat Apr 25 20:05:31 2020 +0200

    Add clear button and toggle button for RTS and DTR

 data/ui/mainwindow.ui | 448 ++++++++++++++++++++++++++++----------------------
 1 file changed, 256 insertions(+), 192 deletions(-)

commit 27e92298b2042b5009828d0914463af77b4d8815
Author: Mictronics <github@mictronics.de>
Date:   Sat Apr 25 17:23:30 2020 +0200

    Add serial status. Manual patched code from danny-source fork.

 data/ui/mainwindow.ui     | 30 +++++++++++++-------
 src/MainWindow.vala       | 70 +++++++++++++++++++++++++++++++++++++++++++++--
 src/SerialConnection.vala | 60 +++++++++++++++++++++++++++++++++++++++-
 3 files changed, 146 insertions(+), 14 deletions(-)

commit 09b300bed8c145f98e105b6607b5720124f3f882
Author: danny <danny@35g.tw>
Date:   Fri Mar 11 16:26:37 2016 +0800

    add Serial Status(like DTR...)

 data/ui/mainwindow.ui | 102 ++++++++
 po/ChangeLog          |   3 +
 po/LINGUAS            |   1 +
 po/zh_TW.mo           | Bin 0 -> 8815 bytes
 po/zh_TW.po           | 682 ++++++++++++++++++++++++++++++++++++++++++++++++++
 5 files changed, 788 insertions(+)

commit 47b3e20c5bc93d945f34a84fa1b33a7ed59ff5eb
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Sat Jan 16 08:39:38 2021 -0500

    fix AUTHORS

 AUTHORS | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 89f5991dc883f6c1d52593fdd77ced89aed07cca
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Sat Jan 16 08:35:09 2021 -0500

    revert last commit to make merging easier

 AUTHORS | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 06966ad9f5e7198096ecf4906a2e6166a6f5d126
Author: Mictronics <github@mictronics.de>
Date:   Sun Apr 26 18:57:45 2020 +0200

    Fix color preference storage.

 src/PreferencesDialog.vala | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit ed04223036b6b33254160a891b9f57bb029650e4
Author: Mictronics <github@mictronics.de>
Date:   Sun Apr 26 13:01:58 2020 +0200

    Fix deprecated GtkImageMenuItem. Set parent window for dialogs.

 data/ui/mainwindow.ui | 67 +++++++++++++++------------------------------------
 src/MainWindow.vala   | 48 ++++++++++++++++++------------------
 2 files changed, 44 insertions(+), 71 deletions(-)

commit d0e6167a1dbeab804f6fe1cb4154ec4b3a4fe6b1
Author: Mictronics <github@mictronics.de>
Date:   Sun Apr 26 13:00:18 2020 +0200

    Fix GtkDialog mapped without a transient parent

 src/PreferencesDialog.vala     | 4 +++-
 src/ReceiveChooserDialog.vala  | 3 ++-
 src/ReceiveProgressDialog.vala | 4 +++-
 src/RecordDialog.vala          | 4 +++-
 src/SendChooserDialog.vala     | 5 +++--
 src/SendProgressDialog.vala    | 3 ++-
 src/SettingsDialog.vala        | 3 ++-
 src/XmodemFilenameDialog.vala  | 4 +++-
 8 files changed, 21 insertions(+), 9 deletions(-)

commit 15913e036bcb529efd34ee470a5c6f30cdeb03ff
Author: Mictronics <github@mictronics.de>
Date:   Sun Apr 26 10:48:41 2020 +0200

    Fix deprecated Gtk.Color and get/set font name.

 src/PreferencesDialog.vala | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit adb7d7a0f349a60017956c5f7fcec184f2b9d0a3
Author: Mictronics <github@mictronics.de>
Date:   Sun Apr 26 10:13:51 2020 +0200

    Fix deprecated Gtk.Stock

 src/MainWindow.vala           | 4 ++--
 src/ReceiveChooserDialog.vala | 2 +-
 src/RecordDialog.vala         | 2 +-
 src/SendChooserDialog.vala    | 2 +-
 4 files changed, 5 insertions(+), 5 deletions(-)

commit 88fec63f6867a1443d71be30049544678686d790
Author: Mictronics <github@mictronics.de>
Date:   Sat Apr 25 22:11:51 2020 +0200

    Fix access by instance.

 src/MainWindow.vala | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit e6e699654e17fde427b0a36b98e7c9d0f26f2ccf
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Sat Jan 16 06:30:16 2021 -0500

    add Michael Wolf as an author

 AUTHORS | 1 +
 1 file changed, 1 insertion(+)

commit 74cc9cd17cf530151193139a8fca27464e0a8975
Author: Mictronics <github@mictronics.de>
Date:   Sat Apr 25 16:10:24 2020 +0200

    Fix deprecated objects for use with GTK v3.2.0

 data/ui/mainwindow.ui             |  65 ++++++++---------
 data/ui/preferences.ui            |  41 +++++------
 data/ui/receive_chooser.ui        |   8 ++-
 data/ui/receive_progress.ui       |  10 ++-
 data/ui/record_dialog.ui          |   8 ++-
 data/ui/send_chooser_dialog.ui    |   8 ++-
 data/ui/send_progress_dialog.ui   |  10 ++-
 data/ui/settings_dialog.ui        | 143 +++++++++++++++-----------------------
 data/ui/xmodem_filename_dialog.ui |   9 ++-
 9 files changed, 144 insertions(+), 158 deletions(-)

commit 3b58c17e647f3560be76cf39f68885713327ec1e
Author: Mictronics <github@mictronics.de>
Date:   Sat Apr 25 16:08:59 2020 +0200

    Require GTK+ version 3.20

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b0b87014758483165ed2351608e460f8b0c23325
Author: Mictronics <github@mictronics.de>
Date:   Sat Apr 25 14:50:08 2020 +0200

    Require modern Vala compiler version

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a0fe79475aecf2ab5c23d07466a080ceb24e1f1b
Author: Mictronics <github@mictronics.de>
Date:   Sat Apr 25 14:49:36 2020 +0200

    Add flags for macro installation

 Makefile.am | 2 ++
 1 file changed, 2 insertions(+)

commit 183b985f583b187916d68071dbf46738a367b896
Author: Mictronics <github@mictronics.de>
Date:   Sat Apr 25 13:38:54 2020 +0200

    Indent and format code

 src/AutoScroll.vala            |   41 +-
 src/Config.vapi                |   19 +-
 src/DefaultPaths.vala          |   73 +-
 src/HexTextBuffer.vala         |  233 +++---
 src/InputParser.vala           |  221 +++--
 src/Main.vala                  |   72 +-
 src/MainWindow.vala            | 1751 ++++++++++++++++++++--------------------
 src/MoUtils.vala               |  162 ++--
 src/Preferences.vala           |  200 ++---
 src/PreferencesDialog.vala     |  255 +++---
 src/Profile.vala               |  176 ++--
 src/ReceiveChooserDialog.vala  |   72 +-
 src/ReceiveProgressDialog.vala |   67 +-
 src/RecordDialog.vala          |  117 ++-
 src/Rzwrapper.vala             |  420 +++++-----
 src/SendChooserDialog.vala     |   72 +-
 src/SendProgressDialog.vala    |   67 +-
 src/SerialConnection.vala      |  517 ++++++------
 src/SerialStreamRecorder.vala  |  156 ++--
 src/Settings.vala              |  242 +++---
 src/SettingsDialog.vala        |  409 +++++-----
 src/Szwrapper.vala             |  413 +++++-----
 src/XmodemFilenameDialog.vala  |   51 +-
 23 files changed, 2868 insertions(+), 2938 deletions(-)

commit 0386efb2a9bd95fcc444964a91769fe1fe703fae
Author: Mictronics <github@mictronics.de>
Date:   Sat Apr 25 13:38:22 2020 +0200

    Ignore appdata.xml

 .gitignore | 1 +
 1 file changed, 1 insertion(+)

commit 52761bd92d141292e1ad831e3795a76dc0a34caf
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Fri Jan 15 10:34:09 2021 -0500

    updated author's email address

 AUTHORS       | 2 +-
 moserial.doap | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit a4866da80b80107c25427f50426786a0d9d51041
Author: Boyuan Yang <073plan@gmail.com>
Date:   Thu Sep 3 02:00:32 2020 +0000

    Update Chinese (China) translation

 po/zh_CN.po | 319 +++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 167 insertions(+), 152 deletions(-)

commit 5093013a99155f86e7b4d6f566b3adfe8db86c48
Author: Arnaud Bonatti <arnaud.bonatti@gmail.com>
Date:   Wed Jul 15 16:29:02 2020 +0200

    Set application avatar in Gitlab.

 logo.png | Bin 0 -> 2853 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

commit f0966190f7d9d272c9050de784ea37a9ab0b3e0e
Author: Florentina Mușat <florentina.musat.28@gmail.com>
Date:   Wed Jul 15 14:21:09 2020 +0000

    Update Romanian translation

 po/ro.po | 430 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 203 insertions(+), 227 deletions(-)

commit 8d6d1bc5220989766ee14efbaddce59235ca5e39
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   Tue Apr 7 19:04:14 2020 +0000

    Add Ukrainian translation

 po/LINGUAS |   1 +
 po/uk.po   | 569 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 570 insertions(+)

commit 22a5f290a53e3eb4d3275237f73346d0795d4a5c
Author: Ryuta Fujii <translation@sicklylife.jp>
Date:   Tue Jan 7 14:32:27 2020 +0000

    Update Japanese translation

 po/ja.po | 2 --
 1 file changed, 2 deletions(-)

commit 628eea17b101603e34f77d3cc79ce95f8983155d
Author: Ryuta Fujii <translation@sicklylife.jp>
Date:   Tue Jan 7 14:30:33 2020 +0000

    Update Japanese translation

 po/ja.po | 395 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 203 insertions(+), 192 deletions(-)

commit 0dc37a900b80f7e980474fef33039bcfe06c9354
Author: Sabri Ünal <libreajans@gmail.com>
Date:   Mon Nov 18 15:26:53 2019 +0000

    Add Turkish translation

 po/LINGUAS |   1 +
 po/tr.po   | 564 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 565 insertions(+)

commit e6723a6075d704e01fc627c854d9856641859921
Author: Asier Sarasua Garmendia <asier.sarasua@gmail.com>
Date:   Thu Oct 17 16:50:10 2019 +0000

    Add Basque translation

 po/LINGUAS |   1 +
 po/eu.po   | 531 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 532 insertions(+)

commit ee4a7494c9cfaf038f78165b79cf3ec9eeae5a99
Author: Andre Klapper <a9016009@gmx.de>
Date:   Sun Dec 16 20:12:37 2018 +0100

    Replace Bugzilla by Gitlab URL in DOAP file

 moserial.doap | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6a878ae82535a2485a419c3218c03e63c071f315
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Wed Dec 12 19:43:10 2018 +0000

    Add Italian translation

 po/LINGUAS |   1 +
 po/it.po   | 564 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 565 insertions(+)

commit b95c95b5b9963aa78bd868f7a181d872fb4746ce
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Jan 23 00:08:45 2018 +0100

    Add Polish help translation

 doc/Makefile.am |   2 +-
 doc/pl/pl.po    | 830 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 831 insertions(+), 1 deletion(-)

commit fc58b190e7fb30894f109e5debc8ad9444de17e0
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Mon Jan 8 07:59:54 2018 -0500

    pre-release version bump, NEWS update, copyright year change

 NEWS                | 10 ++++++++++
 configure.ac        |  2 +-
 src/MainWindow.vala |  2 +-
 3 files changed, 12 insertions(+), 2 deletions(-)

commit 3932b0b3fea21a55332e5c6e5698020046a63220
Author: Abderrahim Kitouni <a.kitouni@gmail.com>
Date:   Thu Dec 28 09:38:01 2017 +0100

    correctly call gettext
    
    constants translated with N_ need to call _ when used.
    
    Signed-off-by: Michael J. Chudobiak <mjc@avtechpulse.com>

 src/MainWindow.vala | 4 ++--
 src/MoUtils.vala    | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 5ac45d5be973fef4df38e486fc0de5bae5a67041
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Fri Dec 22 14:28:13 2017 -0500

    remove reference to unused text tag

 src/HexTextBuffer.vala | 3 ---
 1 file changed, 3 deletions(-)

commit 3a197ece085f823ca126957d49d22057db008f2c
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Fri Dec 22 14:17:25 2017 -0500

    remove #if support for old vala versions

 configure.ac              |  2 ++
 src/HexTextBuffer.vala    | 36 ------------------------------------
 src/MainWindow.vala       |  4 ----
 src/MoUtils.vala          |  4 ----
 src/SerialConnection.vala | 11 -----------
 5 files changed, 2 insertions(+), 55 deletions(-)

commit f2adec29943a68d7b9e0d8ac4a018b4aa506cdcb
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Fri Dec 22 11:16:59 2017 -0500

    Switched deprecated show_uri to show_uri_on_window, fixes compiler warning

 src/MainWindow.vala           | 2 +-
 src/SerialStreamRecorder.vala | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 922651719965b8f364cb20c9a8d3a940bb9ff617
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Fri Dec 22 11:09:50 2017 -0500

    simpler code to read in the UI files, fixes compiler warning about ignored error

 src/MainWindow.vala            | 3 +--
 src/PreferencesDialog.vala     | 3 +--
 src/ReceiveChooserDialog.vala  | 3 +--
 src/ReceiveProgressDialog.vala | 3 +--
 src/RecordDialog.vala          | 3 +--
 src/SendChooserDialog.vala     | 3 +--
 src/SendProgressDialog.vala    | 3 +--
 src/SettingsDialog.vala        | 3 +--
 src/XmodemFilenameDialog.vala  | 3 +--
 9 files changed, 9 insertions(+), 18 deletions(-)

commit 6d1044263c753a844a957e768c2afca92d8c14ff
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Dec 4 20:22:03 2017 +0100

    Remove the OMF file
    
    It’s a gnome-doc-utils/ScrollKeeper leftover.

 doc/moserial.omf.in | 11 -----------
 1 file changed, 11 deletions(-)

commit 55a1e0ef07194b502434382117146c26edc8bd81
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue May 9 21:04:45 2017 +0200

    Updated Slovenian translation

 po/sl.po | 41 ++++++++++++++++++++++++-----------------
 1 file changed, 24 insertions(+), 17 deletions(-)

commit 4b7304b7bc3bf0c24190396c6946b00c3ea82352
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Fri May 5 13:27:32 2017 +0200

    Updated Slovenian translation

 po/sl.po | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 169797fb1f84550c2cef68b528bdeffb0c753fee
Author: Andika Triwidada <atriwidada@gnome.org>
Date:   Wed Apr 26 14:56:13 2017 +0000

    Add Indonesian translation

 po/LINGUAS |   1 +
 po/id.po   | 565 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 566 insertions(+)

commit 6363630637d58a7887e368317c4d65d02278e516
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Fri Apr 14 08:52:24 2017 +0000

    Add Friulian translation

 po/LINGUAS |   1 +
 po/fur.po  | 565 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 566 insertions(+)

commit b1edc3d044844c299b3f067b9b33acc6efebaf29
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Thu Mar 23 09:52:21 2017 -0400

    add Ctrl+L shortcut to clear screen (similar to bash)

 data/ui/mainwindow.ui | 1 +
 1 file changed, 1 insertion(+)

commit 1f35de1aa1e08a4520f464771f85d83e97eada31
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Mon Mar 6 10:30:22 2017 -0500

    Batch-update po files to reflect trivial change in source text from bug 760753

 po/bs.po       | 2 +-
 po/ca.po       | 2 +-
 po/cs.po       | 2 +-
 po/da.po       | 2 +-
 po/de.po       | 2 +-
 po/el.po       | 2 +-
 po/es.po       | 2 +-
 po/fr.po       | 2 +-
 po/gl.po       | 2 +-
 po/hu.po       | 2 +-
 po/ja.po       | 2 +-
 po/ko.po       | 2 +-
 po/nb.po       | 2 +-
 po/pt.po       | 2 +-
 po/pt_BR.po    | 2 +-
 po/ro.po       | 2 +-
 po/sl.po       | 2 +-
 po/sr.po       | 2 +-
 po/sr@latin.po | 2 +-
 po/zh_CN.po    | 2 +-
 20 files changed, 20 insertions(+), 20 deletions(-)

commit 60dbf56ea6f6aed41bc4c258fe20db66e48f8c87
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Mar 4 07:44:27 2017 +0100

    Update Polish translation

 po/pl.po | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit 22e91c4ce0bae89cdb988636ee70e310629bc1ac
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Fri Mar 3 14:04:40 2017 +0000

    Update Swedish translation

 po/sv.po | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit 6131550bbd025155518c58ebb92645358f8af18e
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Fri Mar 3 09:01:30 2017 -0500

    pre-release version bump, NEWS update, copyright year change

 NEWS                | 7 +++++++
 configure.ac        | 2 +-
 src/MainWindow.vala | 2 +-
 3 files changed, 9 insertions(+), 2 deletions(-)

commit 0197b3ddb9096f76c53b735bcd1254d187ea1c87
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Fri Mar 3 08:48:27 2017 -0500

    fixed bug 760753, use colour instead of color

 data/ui/preferences.ui | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3905e3a58a19a36e42af3f9148533e7ee38fd8f8
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Fri Mar 3 08:44:02 2017 -0500

    fixed bug 779511, 921600 baud rate selection and port open speed incorrect

 src/Settings.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 149ebf0918300283b40f609065f98130038c68a1
Author: Alan Mortensen <alanmortensen.am@gmail.com>
Date:   Tue Jan 17 21:17:09 2017 +0100

    Updated Danish translation

 po/da.po | 343 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 181 insertions(+), 162 deletions(-)

commit db7739a062334ec0c47d88b9aaa9f15d3d0adbd0
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Sep 9 23:56:38 2016 +0200

    Updated Polish translation

 po/pl.po | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit a264c1f85f25d024f2e309a8508e2028063eaaef
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Aug 21 15:50:55 2016 +0200

    Updated Polish translation

 po/pl.po | 354 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 170 insertions(+), 184 deletions(-)

commit ddaf4c5f05b4adebe2f39a559229dfb7d7f1f5a2
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Wed May 25 08:53:58 2016 +0000

    Updated Swedish translation

 po/sv.po | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit 118c0c389d19b0e40e36e0168cec9fd19ae53988
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:   Fri Mar 18 07:23:09 2016 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 416 ++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 236 insertions(+), 180 deletions(-)

commit 6761a75f1679b70c5b9719eb68048dd72101b10e
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sat Mar 12 22:07:04 2016 +0100

    Updated Slovenian translation

 po/sl.po | 511 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 286 insertions(+), 225 deletions(-)

commit b23d6d2f59d8d1989f38a2e12ef56971313e2a9c
Author: Γιάννης Κουτσούκος <giankoyt@gmail.com>
Date:   Sat Mar 12 10:53:34 2016 +0000

    Updated Greek translation

 doc/el/el.po | 451 +++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 284 insertions(+), 167 deletions(-)

commit 083f0e845b0371702f65d5e0d8a334cd8feef9c6
Author: Richard Hughes <richard@hughsie.com>
Date:   Mon Jan 25 15:42:36 2016 +0000

    Add a missing tag to the AppData file

 data/moserial.appdata.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit 728966466003f73f92d20605a91b6cf79b77838c
Author: Richard Hughes <richard@hughsie.com>
Date:   Sat Jan 23 18:23:17 2016 +0000

    Update the AppData file to spec version 0.7+

 data/moserial.appdata.xml.in | 17 ++++++++++++-----
 1 file changed, 12 insertions(+), 5 deletions(-)

commit 11139d121d353162a247d92037d2c80c7eeac266
Author: Josef Andersson <josef.andersson@gmail.com>
Date:   Mon Jan 18 23:07:05 2016 +0000

    Updated Swedish translation

 doc/sv/sv.po | 986 +++++++++++++++++++++++++++++++++++++++++++++--------------
 1 file changed, 752 insertions(+), 234 deletions(-)

commit 7f2094f13499c1f9fec1d5f8666650fb6f608b4a
Author: Josef Andersson <josef.andersson@gmail.com>
Date:   Mon Jan 18 23:04:41 2016 +0000

    Updated Swedish translation

 po/sv.po | 1043 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 559 insertions(+), 484 deletions(-)

commit 1aaae1b75df0b3c19dbacb0f7aafc8b63ca595c0
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Tue Jan 5 18:47:51 2016 +0100

    Added Serbian translation

 po/sr.po       | 16 ++++++++--------
 po/sr@latin.po | 16 ++++++++--------
 2 files changed, 16 insertions(+), 16 deletions(-)

commit e0873a0d7439aca476469c232d681fbdb9ea5203
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Tue Jan 5 18:43:15 2016 +0100

    Added Serbian translation

 po/LINGUAS     |   2 +
 po/sr.po       | 570 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/sr@latin.po | 570 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 1142 insertions(+)

commit b9b9ec4e9c25d9dd9ca2a61899c33320c1e5d22e
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:   Mon Dec 28 13:12:08 2015 +0100

    Updated German doc translation

 doc/de/de.po | 581 ++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 314 insertions(+), 267 deletions(-)

commit 4a6edf46e80d639cace0ef71ee1dabc8522447f1
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:   Fri Dec 25 22:38:50 2015 +0100

    Updated German translation

 po/de.po | 401 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 210 insertions(+), 191 deletions(-)

commit 89a8d865ae5c74c2c94524ca60eee1db317344cd
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sun Dec 13 13:32:26 2015 +0100

    Updated Spanish translation

 doc/es/es.po | 398 ++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 254 insertions(+), 144 deletions(-)

commit a5150e166f15ac6b9c5f6fe83ab9f5eb5cc205ce
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Wed Dec 2 21:10:14 2015 +0100

    Updated Spanish translation

 po/es.po | 427 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 212 insertions(+), 215 deletions(-)

commit 18608c72cd638d7114992ba5b885832426432c58
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:   Fri Nov 13 08:22:32 2015 +0000

    Added Portuguese translation

 po/LINGUAS |   1 +
 po/pt.po   | 566 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 567 insertions(+)

commit 791944ec8aaa567ddcd1f1fb8120db82d905aec5
Author: Marek Černocký <marek@manet.cz>
Date:   Thu Nov 12 17:39:36 2015 +0100

    Updated Czech translation

 po/cs.po | 398 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 203 insertions(+), 195 deletions(-)

commit 27f6ae7f78d7540b9af8efa03b3073158a5398aa
Author: Marek Černocký <marek@manet.cz>
Date:   Thu Nov 12 16:46:04 2015 +0100

    Updated Czech translation

 doc/cs/cs.po | 395 ++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 252 insertions(+), 143 deletions(-)

commit 214e19a94d53e7e26a06231fda5a8e079f481e78
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Nov 10 17:57:26 2015 +0100

    build: Distribute the sources as .tar.xz
    
    Smaller files, and no need for separate .gz and .bz2 tarballs as the
    GNOME FTP generates those.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=757902

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bb74c5d5abcb2609cb4a48e68a2a575e2aa51b8f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Nov 10 17:54:59 2015 +0100

    data: Fix typo that made distcheck fail
    
    https://bugzilla.gnome.org/show_bug.cgi?id=757737#c5

 data/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 93c9acd3a123b39f89c7f7abdf9be7c8a2c9094d
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Tue Nov 10 09:56:47 2015 -0500

    update copyright year

 src/MainWindow.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a27cfcf53acdba3dcfcab642fe903146ce1ddc97
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Tue Nov 10 09:45:42 2015 -0500

    pre-release version bump

 NEWS         | 8 ++++++++
 configure.ac | 2 +-
 2 files changed, 9 insertions(+), 1 deletion(-)

commit 790a4c03b20f2fe95ad2efa6e0bf6df612f63609
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Nov 7 15:55:08 2015 +0100

    ui: Load UI files from GResource
    
    Which shouldn't fail unless there's a programmer error.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=757737

 Makefile.am                    | 15 +++++++++++----
 configure.ac                   |  3 ++-
 data/Makefile.am               | 10 +++++++---
 data/moserial.gresource.xml    | 14 ++++++++++++++
 src/Config.vapi                |  2 +-
 src/MainWindow.vala            |  2 +-
 src/PreferencesDialog.vala     |  2 +-
 src/ReceiveChooserDialog.vala  |  2 +-
 src/ReceiveProgressDialog.vala |  2 +-
 src/RecordDialog.vala          |  2 +-
 src/SendChooserDialog.vala     |  2 +-
 src/SendProgressDialog.vala    |  2 +-
 src/SettingsDialog.vala        |  2 +-
 src/XmodemFilenameDialog.vala  |  2 +-
 14 files changed, 44 insertions(+), 18 deletions(-)

commit 0d3fe4ce8a9c1c028b0fa575ab437032a3a5de31
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Nov 7 15:32:48 2015 +0100

    ui: Split up GtkBuilder file per-widget
    
    https://bugzilla.gnome.org/show_bug.cgi?id=757737

 data/ui/Makefile.am               |   13 +-
 data/ui/mainwindow.ui             |  689 ++++++++++++++
 data/ui/moserial.ui               | 1876 -------------------------------------
 data/ui/preferences.ui            |  371 ++++++++
 data/ui/receive_chooser.ui        |   75 ++
 data/ui/receive_progress.ui       |   90 ++
 data/ui/record_dialog.ui          |   74 ++
 data/ui/send_chooser_dialog.ui    |   74 ++
 data/ui/send_progress_dialog.ui   |   90 ++
 data/ui/settings_dialog.ui        |  357 +++++++
 data/ui/xmodem_filename_dialog.ui |   88 ++
 po/POTFILES.in                    |   10 +-
 src/Main.vala                     |    9 +-
 src/MainWindow.vala               |   24 +-
 src/PreferencesDialog.vala        |    7 +-
 src/ReceiveChooserDialog.vala     |    7 +-
 src/ReceiveProgressDialog.vala    |    7 +-
 src/RecordDialog.vala             |    7 +-
 src/SendChooserDialog.vala        |    7 +-
 src/SendProgressDialog.vala       |    7 +-
 src/SettingsDialog.vala           |    7 +-
 src/XmodemFilenameDialog.vala     |    7 +-
 22 files changed, 1966 insertions(+), 1930 deletions(-)

commit 10dde5047d79c9b32e7d2cf6b41b22cff847300f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Nov 7 15:03:57 2015 +0100

    data: Rename glade directory to ui
    
    The format of the UI file is GtkBuilder, not glade.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=757737

 configure.ac                   | 2 +-
 data/Makefile.am               | 2 +-
 data/{glade => ui}/Makefile.am | 0
 data/{glade => ui}/moserial.ui | 0
 po/POTFILES.in                 | 2 +-
 5 files changed, 3 insertions(+), 3 deletions(-)

commit 2ed8f9ee2617f6c8ff3f220d836a50fa0a28438a
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Tue Nov 10 09:14:41 2015 -0500

    Update comments in po files to reflect renamed manual file

 doc/cs/cs.po | 174 +++++++++++++++++++++++++++---------------------------
 doc/de/de.po | 174 +++++++++++++++++++++++++++---------------------------
 doc/el/el.po | 174 +++++++++++++++++++++++++++---------------------------
 doc/es/es.po | 174 +++++++++++++++++++++++++++---------------------------
 doc/fr/fr.po | 174 +++++++++++++++++++++++++++---------------------------
 doc/sl/sl.po | 188 +++++++++++++++++++++++++++++------------------------------
 doc/sv/sv.po | 168 ++++++++++++++++++++++++++--------------------------
 7 files changed, 613 insertions(+), 613 deletions(-)

commit 6a7782932435222ecc31539c28ec4952279dd5b2
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Nov 7 14:34:15 2015 +0100

    doc: Port from long-obsolete gnome-doc-utils to yelp
    
    Allowing moserial to build on a recent distribution.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=757733

 .gitignore                            |  1 -
 Makefile.am                           | 10 ----------
 configure.ac                          |  2 +-
 doc/C/{moserial.xml => index.docbook} |  0
 doc/Makefile.am                       | 13 ++++++-------
 src/MainWindow.vala                   |  2 +-
 6 files changed, 8 insertions(+), 20 deletions(-)

commit 3a317861d4790b45c111a1b0a71b4f9cdd5cf1ca
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Nov 7 15:17:56 2015 +0100

    build: Remove obsolete PKG_NAME
    
    From gnome-common:
    ***Warning*** PKG_NAME is deprecated, you may remove it from autogen.sh
    
    https://bugzilla.gnome.org/show_bug.cgi?id=757733

 autogen.sh | 2 --
 1 file changed, 2 deletions(-)

commit 2776a84bc315bc6b4bac026325b5b4c9d1b238d4
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Mon Nov 9 09:43:37 2015 -0500

    use uchar consistently, tweak to last patch

 src/InputParser.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 84d65b4fbc5f4b06c80e492451465719471d3682
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Mon Nov 9 09:41:03 2015 -0500

    don't assign a negative integer to a char, bug 757733

 src/InputParser.vala | 26 ++++++++++++--------------
 1 file changed, 12 insertions(+), 14 deletions(-)

commit 301fe3b23ff0d9433c4bcb7e1361a174fd36e2d8
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Nov 7 14:27:30 2015 +0100

    Disambiguate Gtk.ListStore usage
    
    Now that there's a liststore in both GTK+ and GLib.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=757733

 src/MoUtils.vala        | 2 +-
 src/SettingsDialog.vala | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 77b7c76d570e9d76bf97435422740db56fc0e222
Author: Samir Ribic <samir.ribic@etf.unsa.ba>
Date:   Sat Mar 14 08:15:45 2015 +0000

    Added Bosnian translation

 po/LINGUAS |   1 +
 po/bs.po   | 578 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 579 insertions(+)

commit 1779e19fb9607ca0c35bd4d11161fda8da39cc58
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:   Mon Dec 29 19:02:44 2014 +0100

    Initial Hungarian translation

 po/LINGUAS |   1 +
 po/hu.po   | 576 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 577 insertions(+)

commit 32f13ffc96af2bccaadbedf58550b3295a7cd725
Author: Marek Černocký <marek@manet.cz>
Date:   Thu Nov 27 06:48:53 2014 +0100

    Updated Czech translation

 doc/cs/cs.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit d97fa600d0bc82afcf3e8310059d28920c988b68
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Fri Oct 3 13:29:33 2014 -0400

    add semicolon to desktop file as per bug 737828

 data/moserial.desktop.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ad3c0471ac59a165b645d692249d19268ff68519
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Sep 22 20:02:49 2014 +0200

    Updated Polish translation

 po/pl.po | 32 ++++++++++++++++++++++++++------
 1 file changed, 26 insertions(+), 6 deletions(-)

commit b1f0e26e55116fa5d974bd1cf221c0c5e97050bf
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Sep 22 19:58:00 2014 +0200

    Mark strings in appdata file as translatable

 data/moserial.appdata.xml.in | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 7e448a70a41d9a6a789f3492da1a8345006ca8bc
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Mon Sep 22 13:03:04 2014 -0400

    fix make distcheck errors related to appdata

 data/Makefile.am | 2 ++
 1 file changed, 2 insertions(+)

commit b020afc8cf88158a8a3f4d1096b973f100fed85a
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Mon Sep 22 12:56:54 2014 -0400

    pre-release version bump

 NEWS         | 5 +++++
 configure.ac | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit aa8522abd1c76d2aa0a11dfda6ad0b75f1f6710d
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Mon Sep 22 12:53:54 2014 -0400

    Added an appdata file, bug 730625

 data/Makefile.am             |  8 +++++++-
 data/moserial.appdata.xml.in | 23 +++++++++++++++++++++++
 po/POTFILES.in               |  1 +
 3 files changed, 31 insertions(+), 1 deletion(-)

commit 632deaa73141e777f81d04143585f971d99ad2cf
Author: Maria Mavridou <mavridou@gmail.com>
Date:   Tue Mar 25 17:04:35 2014 +0200

    Added Greek translation of help

 doc/Makefile.am |   2 +-
 doc/el/el.po    | 790 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 791 insertions(+), 1 deletion(-)

commit 0fe355c6dfde3209c5b129f258a9d2ad850d7106
Author: 玉堂白鹤 <yjwork.xfce@gmail.com>
Date:   Sat Dec 7 17:39:55 2013 +0800

    Update Chinese simplified translation

 po/zh_CN.po | 974 ++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 518 insertions(+), 456 deletions(-)

commit e7d0cf3143f85f1ea7be758d8e4c85f5f9e5f2fa
Author: Enrico Nicoletto <liverig@gmail.com>
Date:   Mon Jan 14 23:24:23 2013 -0200

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 1005 ++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 516 insertions(+), 489 deletions(-)

commit 629ba457857652be14243329bd6cd847db8fe928
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Tue Dec 18 14:50:26 2012 -0500

    always append new hex output to end of textbuffer, not at cursor pos

 src/HexTextBuffer.vala | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit cc2f43159235a94e8c15245f7ff67120b2b525db
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Tue Dec 18 10:30:37 2012 -0500

    pre-release version bump

 NEWS         | 5 +++++
 configure.ac | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 4d613acc2cd4dd44d3056842e22ea09f9b02eeb1
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Tue Dec 18 10:28:32 2012 -0500

    fix bug 687230 - Segmentation fault on HexTextBuffer.vala

 src/HexTextBuffer.vala | 89 +++++++++++++++++++++++++++++++++-----------------
 1 file changed, 59 insertions(+), 30 deletions(-)

commit 32b6e42f66a8acf507c76126f65e9651875126c2
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Sep 4 19:25:13 2012 +0200

    Updated Polish translation

 po/pl.po | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

commit c0dd1ef2768e277e0bd4def1abe83130a8359cde
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Jul 12 00:34:59 2012 +0200

    Added Polish translation

 po/LINGUAS |   1 +
 po/pl.po   | 560 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 561 insertions(+)

commit 9b998d565a1c773e766668b9d5d54644f7c2fc10
Author: Rodolphe Pelloux-Prayer <rodolphe@damsy.net>
Date:   Wed Jul 4 13:32:30 2012 +0200

    Fix -Werror=format-security errors.

 src/MainWindow.vala | 8 ++++----
 src/Profile.vala    | 4 ++--
 src/Rzwrapper.vala  | 2 +-
 src/Szwrapper.vala  | 2 +-
 4 files changed, 8 insertions(+), 8 deletions(-)

commit f6eab92a77b34add3f4f601605b11cbb23267da1
Author: Konstantinos Chortis <cograss@yahoo.com>
Date:   Thu Jun 14 01:30:48 2012 +0300

    Updated Greek translation

 po/LINGUAS |   1 +
 po/el.po   | 521 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 522 insertions(+)

commit 607354dbf665ef2f9f3bc92f5ac8e586180230b2
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Wed Jun 13 13:30:00 2012 -0400

    updated copyright date in about dialog

 src/MainWindow.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3f3ee4142627b2011425ca5e3333c5282cf5a97d
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Wed Jun 13 13:23:10 2012 -0400

    pre-release version bump

 NEWS         | 5 +++++
 configure.ac | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 64be24c32e585a46f6fe9d75663110760eaa61e2
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Wed Jun 13 13:18:43 2012 -0400

    make last commit work with both vala 0.12 and 0.16

 src/HexTextBuffer.vala | 36 ++++++++++++++++++++++++++++++++++++
 src/MainWindow.vala    |  4 ++++
 2 files changed, 40 insertions(+)

commit 31d487d1a463fa0160ef140b8f9bc8a11b61228c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jun 13 12:46:11 2012 +0100

    Fix compile-time errors
    
    TextIter were causing errors:
    Cannot pass value to reference or output parameter
    
    https://bugzilla.gnome.org/show_bug.cgi?id=678016

 src/HexTextBuffer.vala | 18 +++++++++---------
 src/MainWindow.vala    |  2 +-
 2 files changed, 10 insertions(+), 10 deletions(-)

commit dbe13051678ed4f3424c41e7ae8e096dbbf8fdad
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Wed Jun 13 12:43:58 2012 -0400

    make last commit work with both vala 0.12 and 0.16

 src/MoUtils.vala | 4 ++++
 1 file changed, 4 insertions(+)

commit 672d3b0916f34ca76e70d09cd8339008bf94c10e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jun 13 12:15:11 2012 +0100

    Fix deprecation warning
    
    src/MoUtils.vala:42.39-42.71: warning: GLib.FILE_ATTRIBUTE_STANDARD_SIZE has been deprecated since vala-0.16. Use FileAttribute.STANDARD_SIZE
    
    https://bugzilla.gnome.org/show_bug.cgi?id=678004

 src/MoUtils.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7ecc773efefff3a401d0ed3b471b998703842047
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jun 13 12:13:39 2012 +0100

    Fix compilation with newer versions of GLib
    
    GIO now contains a GMenuItem object type.
    
    src/MainWindow.vala:300.17-300.24: error: `MenuItem' is an ambiguous reference between `GLib.MenuItem' and `Gtk.MenuItem'
    MenuItem recentFileItem = (Gtk.MenuItem)builder.get_object("menubar_open_recent");
    ^^^^^^^^
    
    https://bugzilla.gnome.org/show_bug.cgi?id=678003

 src/MainWindow.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6ba0ab96a25b8c9cadb0b36ec9ed99732c125667
Author: Joe Hansen <joedalton2@yahoo.dk>
Date:   Wed Apr 25 09:54:01 2012 +0200

    Updated Danish translation

 po/da.po | 224 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 112 insertions(+), 112 deletions(-)

commit 5abaa4c2cec857189ca5e30da333cf0d36c58002
Author: Joe Hansen <joedalton2@yahoo.dk>
Date:   Mon Apr 23 14:26:03 2012 +0200

    Updated Danish translation

 po/da.po | 697 +++++++++++++++++++++++++++------------------------------------
 1 file changed, 301 insertions(+), 396 deletions(-)

commit c9a9196547a8e098380191c6139d6f944e89d815
Author: Daniel Șerbănescu <daniel@serbanescu.tk>
Date:   Sat Apr 21 13:11:12 2012 +0200

    Updated Romanian Translation

 po/LINGUAS |   1 +
 po/ro.po   | 743 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 744 insertions(+)

commit b0cf60be94fa5525817b2579e2e859e9e59dd6d8
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Sat Mar 24 22:34:15 2012 +0100

    Updated Galician translations
    
    Signed-off-by: Fran Diéguez <fran.dieguez@mabishu.com>

 po/gl.po | 967 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 516 insertions(+), 451 deletions(-)

commit 79fb47a05f857fa55dda702faaa7fa41b2a827e3
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Wed Mar 14 12:45:12 2012 -0400

    point out the lrzsz dependency in the README file

 README | 5 +++++
 1 file changed, 5 insertions(+)

commit 98655419ad3f83c1190f6b68f288daa0333ac756
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Fri Mar 2 14:18:49 2012 -0500

    pre-release version bump

 NEWS         | 5 +++++
 configure.ac | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 084d920e3f47eca961d2fb6df07a67d257376205
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Fri Mar 2 14:14:13 2012 -0500

    Fix build with vala 0.14, but maintain 0.12 compatibility, bug 671223

 src/SerialConnection.vala | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit c7fee289cd3dead8078fadf7e187be65271b0140
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Fri Feb 10 11:23:04 2012 -0500

    hide non-existent recent files

 src/MainWindow.vala | 1 +
 1 file changed, 1 insertion(+)

commit dba2c20223f52ad5e34e6720ed14db46d0aab4c1
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Tue Jan 24 08:59:36 2012 -0500

    pre-release version bump, change about dialog url label

 NEWS                | 5 +++++
 configure.ac        | 2 +-
 src/MainWindow.vala | 1 +
 3 files changed, 7 insertions(+), 1 deletion(-)

commit 5cab401e8d5b6940883eb5ddcc02e239b4757c93
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Tue Jan 24 08:25:50 2012 -0500

    allow use of ttyACM ports

 src/SettingsDialog.vala | 1 +
 1 file changed, 1 insertion(+)

commit 85bb8115dbeb01119ec04c18cab7a843992086a1
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Fri Jan 20 15:30:23 2012 -0500

    pre-release version bump

 NEWS         | 5 +++++
 configure.ac | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit c0b2944741b7f1f3a8d14a7d6b4c85a501c433d2
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Fri Jan 20 15:25:50 2012 -0500

    Fixed non-functional recording timeout spinbutton

 data/glade/moserial.ui     | 1 +
 src/PreferencesDialog.vala | 5 +++++
 2 files changed, 6 insertions(+)

commit 578c2580e7e968faeb800042cf737cf1e7c677b3
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Wed Jan 18 14:35:04 2012 -0500

    Fixed over-active file writing in record mode, pre-rel version bump

 NEWS                          |  5 +++++
 configure.ac                  |  2 +-
 src/MainWindow.vala           |  2 +-
 src/SerialConnection.vala     | 15 +++++++++++----
 src/SerialStreamRecorder.vala | 17 ++++++++++++++---
 5 files changed, 32 insertions(+), 9 deletions(-)

commit 3ff62f386a72bbbdc16c7d0093cc4aef9936683b
Author: Jiro Matsuzawa <jmatsuzawa@src.gnome.org>
Date:   Wed Jan 11 22:52:55 2012 +0900

    Updated Japanese translation

 po/ja.po | 221 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 111 insertions(+), 110 deletions(-)

commit 535b59250752284d703f64309f3028d15514586c
Author: Takeshi AIHANA <takeshi.aihana@gmail.com>
Date:   Sun Oct 9 19:09:57 2011 +0900

    Updated Japanese translation.

 po/ja.po | 956 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 509 insertions(+), 447 deletions(-)

commit 24765338c48d0c48f8f07a2bbeff3b815b05886f
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Wed Oct 5 10:45:02 2011 -0400

    updated NEWS

 NEWS | 6 ++++++
 1 file changed, 6 insertions(+)

commit a147d2be228f82aca06e4dd91f2ef9cda87b4cc6
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Wed Oct 5 10:43:59 2011 -0400

    pre-release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d7b912092ebcd55bdfea7a1cc0f8b427c4c5a3c6
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Wed Oct 5 10:42:47 2011 -0400

    Revert "increase delay in checking for screen updates, to avoid data loss"
    
    This reverts commit e3f40dbec8c563f81f364ce071e910d15ad02090.

 src/SerialConnection.vala | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit e1950bde2f0b1c530935483a8e659a0c5b985dc4
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Wed Oct 5 10:38:25 2011 -0400

    use groups to show only moserial config files in the recent menu

 src/MainWindow.vala | 15 +++++++++++----
 1 file changed, 11 insertions(+), 4 deletions(-)

commit 6fbeb3dea48770a320785b92ebcf0bafd85675f6
Author: Jasper Lievisse Adriaanse <jasper@humppa.nl>
Date:   Tue Sep 27 20:41:38 2011 +0200

    Add a few device nodes for (Open)BSD.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=660276

 src/SettingsDialog.vala | 2 ++
 1 file changed, 2 insertions(+)

commit bbac01b1f8e78ab26b6f9f71d823fb6bcfc2ad51
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Thu Sep 8 14:56:29 2011 -0400

    call Gtk.main_iteration_do correctly (don't block)

 src/SerialConnection.vala | 2 +-
 src/Szwrapper.vala        | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit e3f40dbec8c563f81f364ce071e910d15ad02090
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Thu Sep 8 13:13:10 2011 -0400

    increase delay in checking for screen updates, to avoid data loss

 src/SerialConnection.vala | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 061af3b6af31478985071440d434f3093e65e361
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Thu Sep 1 09:32:18 2011 -0400

    updated NEWS

 NEWS | 5 +++++
 1 file changed, 5 insertions(+)

commit 189c3c0877ad898ace3eb4d0e9e82e63fb211a09
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Thu Sep 1 09:30:57 2011 -0400

    pre-release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9c28290c4ea8f37eeb5e5ca40bc75aab676d847e
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Thu Sep 1 09:27:02 2011 -0400

    remove reference to deleted figure

 doc/Makefile.am | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 35fcba084e9281996751542fe78485d27dc3e651
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Mon Aug 29 13:10:51 2011 -0400

    minor simplifications for compatibility with vala 0.13.x

 src/MainWindow.vala           | 2 +-
 src/SerialStreamRecorder.vala | 2 +-
 src/SettingsDialog.vala       | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 69a5a9b6cd17baf27c3f56013651bac061da4fb2
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   Sat Aug 27 22:49:51 2011 +0200

    Updated Slovenian translation

 po/sl.po | 767 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 410 insertions(+), 357 deletions(-)

commit d17703c77e61b8f503c3e01b1e27140bf18c4796
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Fri Aug 26 14:30:48 2011 -0400

    updated NEWS

 NEWS | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 37750325e35eda3e76701f1cdf936b934860ed25
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Fri Aug 26 12:22:54 2011 -0400

    bring back the menu accelerators

 data/glade/moserial.ui | 16 ++++++++++++----
 src/MainWindow.vala    |  4 ++++
 2 files changed, 16 insertions(+), 4 deletions(-)

commit b77db54955ca516bfef8f88fafc5f2c221608b72
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Thu Aug 25 10:01:19 2011 -0400

    pause to process gtk/gdk events while receiving data

 src/SerialConnection.vala | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit e26b7e8b855efb6031cea377eb8e1532b361863a
Author: Marek Černocký <marek@manet.cz>
Date:   Thu Aug 25 07:55:54 2011 +0200

    Updated Czech translation

 doc/cs/cs.po | 187 +++++++++++++++++++++++++++--------------------------------
 1 file changed, 87 insertions(+), 100 deletions(-)

commit ef7a8ff8b8f1b2d515e2f74004c692af336e2db1
Author: Marek Černocký <marek@manet.cz>
Date:   Thu Aug 25 07:48:40 2011 +0200

    Updated Czech translation

 po/cs.po | 750 +++++++++++++++++++++++++--------------------------------------
 1 file changed, 294 insertions(+), 456 deletions(-)

commit 69f7082ce78d9a8ca584c7c2fbc279273767b90a
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Tue Aug 23 20:22:31 2011 +0200

    [l10n] Updated German translation

 po/de.po | 748 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 409 insertions(+), 339 deletions(-)

commit 78e7e8f6194696b2c314c77375280bfbd22e8be2
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sat Aug 20 11:30:09 2011 +0200

    Updated Spanish translation

 doc/es/es.po | 210 ++++++++-------
 po/es.po     | 854 ++++++++++++++++++++++++++++++++---------------------------
 2 files changed, 581 insertions(+), 483 deletions(-)

commit fd2f84d4f6ed397a19cf17319b647f8a2186a82e
Author: Claude Paroz <claude@2xlibre.net>
Date:   Fri Aug 19 21:39:09 2011 +0200

    Updated French translations

 doc/fr/fr.po | 204 ++++++++--------
 po/fr.po     | 750 +++++++++++++++++++++++------------------------------------
 2 files changed, 398 insertions(+), 556 deletions(-)

commit 7b24f3b3354b8a5de1843db004d5ffbbe8835e42
Author: Claude Paroz <claude@2xlibre.net>
Date:   Fri Aug 19 21:00:45 2011 +0200

    Remove markup from translatable strings
    
    Fixes bug #656932

 data/glade/moserial.ui | 24 ++++++++++++++++--------
 1 file changed, 16 insertions(+), 8 deletions(-)

commit 0f7fd5d6078ad21a305c2e5b23b04c4f3338af44
Author: Claude Paroz <claude@2xlibre.net>
Date:   Fri Aug 19 20:32:27 2011 +0200

    Added prefix before .ui file in POTFILES.in

 po/POTFILES.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8255a320a3669f0372ff4719087a77773e38e1d0
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Fri Aug 19 13:00:56 2011 -0400

    clarify vala version requirements

 README | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 368f98af2751b3491e855bc504ecfde8685ecb0d
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Fri Aug 19 12:57:26 2011 -0400

    pre-release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7a0d50ff9998025840bd788b12c80eb288c8b65b
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Fri Aug 19 12:56:41 2011 -0400

    refer correctly to enum definitions

 src/SettingsDialog.vala | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit 4452c5e8aa99d381f7773d178852d40dba01106b
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Fri Aug 19 12:51:24 2011 -0400

    minor tooltip clarification

 src/PreferencesDialog.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9b2d660a7faf913a52d99b35e9e4a82ff4daea6b
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Fri Aug 19 12:48:20 2011 -0400

    tidy up casts and warnings from glade to gtk-builder move

 data/glade/moserial.ui | 2311 ++++++++++++++++++++++++++----------------------
 src/MainWindow.vala    |   41 +-
 2 files changed, 1273 insertions(+), 1079 deletions(-)

commit c81d5b55f0bc4312306b284682b98ae8937a3f84
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Fri Aug 19 12:21:08 2011 -0400

    finished libglade to gtk-builder migration

 data/glade/Makefile.am    |    5 +-
 data/glade/moserial.glade | 1662 ---------------------------------------------
 data/glade/moserial.ui    |  310 +++++----
 po/POTFILES.in            |   11 +-
 po/POTFILES.skip          |   28 +-
 5 files changed, 207 insertions(+), 1809 deletions(-)

commit ded8242efa19c1893d3d5e0e5ccf7ab64592fc94
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Fri Aug 19 11:40:28 2011 -0400

    move more combo box item definitions out of glade and into the code

 data/glade/moserial.glade     | 10 ------
 data/glade/moserial.ui        | 72 -------------------------------------------
 src/ReceiveChooserDialog.vala |  5 ++-
 src/RecordDialog.vala         |  6 +++-
 src/Rzwrapper.vala            |  4 +++
 src/SendChooserDialog.vala    |  5 ++-
 src/SerialStreamRecorder.vala |  7 ++++-
 src/Szwrapper.vala            |  5 +++
 8 files changed, 28 insertions(+), 86 deletions(-)

commit 598d00416b7f7ca9536236b1142206ae176a09d5
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Fri Aug 19 11:19:36 2011 -0400

    first attempt at gtk3 migration

 Makefile.am               |   2 +-
 configure.ac              |   4 +-
 data/glade/moserial.glade |  49 +-------
 data/glade/moserial.ui    | 279 +++-------------------------------------------
 src/MainWindow.vala       |  44 ++++----
 src/MoUtils.vala          |  15 +++
 src/SerialConnection.vala |  43 ++-----
 src/Settings.vala         |  20 ++++
 src/SettingsDialog.vala   |  53 ++++++---
 9 files changed, 123 insertions(+), 386 deletions(-)

commit 16e130bd891afe9d3a6a2b3b40b5e82318428087
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Fri Aug 19 10:37:22 2011 +0200

    [l10n] Updated German doc translation

 doc/de/de.po | 220 ++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 112 insertions(+), 108 deletions(-)

commit 0038b062c78874697b9fceb9d24f416ee064a240
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Fri Aug 19 10:32:32 2011 +0200

    [l10n] Updated German translation

 po/de.po | 340 ++++++++++++++++++++++++++++-----------------------------------
 1 file changed, 151 insertions(+), 189 deletions(-)

commit b94b84200ebff30b34db23d342ec10c47ce949bb
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Thu Aug 18 09:01:43 2011 -0400

    remove check for gconf, it is not used any more

 configure.ac | 1 -
 1 file changed, 1 deletion(-)

commit c6fec6d070993d139b3f5be0eb3b8c307909fc8d
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Thu Aug 18 08:40:22 2011 -0400

    migrate tooltips from the glade file into code, for gtk_builder migration

 data/glade/moserial.glade  | 14 --------------
 data/glade/moserial.ui     | 14 --------------
 src/MainWindow.vala        | 11 ++++++++++-
 src/PreferencesDialog.vala |  5 +++++
 src/SettingsDialog.vala    |  8 ++++++++
 5 files changed, 23 insertions(+), 29 deletions(-)

commit b92f672ca01870fd8bf08009f285f156d7014111
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Wed Aug 17 14:10:10 2011 -0400

    update README, remove vala version check

 README       | 16 +++++++++-------
 configure.ac |  1 -
 2 files changed, 9 insertions(+), 8 deletions(-)

commit d917a9e81e9a2559a6ea29365c7d43226606e8fb
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Wed Aug 17 14:02:15 2011 -0400

    add note to README about stropts.h build problem

 README | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit cdb9d1a94f38ea4cebe420c43244f095bf83d45c
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Wed Aug 17 12:53:21 2011 -0400

    bump vala requirement to 0.12.0

 configure.ac                  | 1 +
 src/Profile.vala              | 4 ----
 src/SerialStreamRecorder.vala | 4 ----
 3 files changed, 1 insertion(+), 8 deletions(-)

commit 207f1e074d81bb2a272c7623360db7a5c786d431
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Wed Aug 17 10:34:27 2011 -0400

    fix invisible menu items

 data/glade/moserial.glade | 45 +++++++++++++++++++++++++++++++++++----------
 data/glade/moserial.ui    | 11 +++++++----
 2 files changed, 42 insertions(+), 14 deletions(-)

commit c1702ac81488a9b3e0a3cf28e85e8f2ddc948d87
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Wed Aug 17 10:18:41 2011 -0400

    apply font settings to text entry box too

 src/MainWindow.vala | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit 0a538598e90a34028dac4821097532540c341a23
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Wed Aug 17 10:14:24 2011 -0400

    remove obsolete comment

 src/MainWindow.vala | 1 -
 1 file changed, 1 deletion(-)

commit efc68ce3b434912ff4ff2f391c3d84b22daf693f
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Wed Aug 17 10:11:59 2011 -0400

    use string.index_of instead of string.str

 src/Rzwrapper.vala | 4 ++--
 src/Szwrapper.vala | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 65135e057a8d493a3bff8278142ad5c7eefe13f1
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Wed Aug 17 10:07:28 2011 -0400

    use int.parse() instead of string.to_int()

 src/SettingsDialog.vala | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit ea10275f08714c4f45f0bcbf6798e7af073ed843
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Wed Aug 17 10:03:56 2011 -0400

    migrate from gconf to gsettings

 Makefile.am          |  2 +-
 src/Preferences.vala | 14 +++++++-------
 2 files changed, 8 insertions(+), 8 deletions(-)

commit 9abab954e9361beb0c1bc8e8ab9a68ec202ca859
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Wed Aug 17 09:40:19 2011 -0400

    remove deprecated hide_all function, use hide instead

 src/PreferencesDialog.vala     | 2 +-
 src/ReceiveProgressDialog.vala | 2 +-
 src/SendProgressDialog.vala    | 2 +-
 src/SettingsDialog.vala        | 6 +++---
 4 files changed, 6 insertions(+), 6 deletions(-)

commit d1096aef53ac94a2b96af1a24a293b15f25e23f8
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Wed Aug 17 08:30:55 2011 -0400

    bump version back slightly - more work required before any release

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ba30c590884f58b5fb68c1eafbbeb0f7118d42c4
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Wed Aug 17 08:28:06 2011 -0400

    Ran the glade file through glade 3.6.7, to prepare for move to gtkbuilder
    
    To fully move to the gtkbuilder format, we have to fix the comboboxes
    and tooltips.

 data/glade/moserial.glade | 4286 ++++++++++++++++++---------------------------
 data/glade/moserial.ui    | 1565 +++++------------
 2 files changed, 2061 insertions(+), 3790 deletions(-)

commit 1891b00007f23ad7d59b799bed09fb36ce7308a3
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Wed Aug 17 01:36:37 2011 +0200

    Updated Spanish translation

 po/es.po | 217 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 118 insertions(+), 99 deletions(-)

commit 645ca2e1d94914b159c4576eddf7c423e215d53f
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Tue Aug 16 16:10:24 2011 -0400

    remove deprecated gtk stock icon names

 src/MainWindow.vala           | 6 +++---
 src/ReceiveChooserDialog.vala | 2 +-
 src/RecordDialog.vala         | 2 +-
 src/SendChooserDialog.vala    | 2 +-
 4 files changed, 6 insertions(+), 6 deletions(-)

commit 8df9febed51c2613fbed62cfd4cadff982d6fcf5
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Tue Aug 16 15:40:49 2011 -0400

    Pre-release version bump to 3.0.0 and misc doc updates

 configure.ac                     |   2 +-
 doc/C/figures/authorizations.png | Bin 148427 -> 0 bytes
 doc/C/moserial.xml               |  25 ++++---------------------
 src/MainWindow.vala              |   2 +-
 4 files changed, 6 insertions(+), 23 deletions(-)

commit 48fede4a96ceef6ef5d541478df7dd93f68e2417
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Tue Aug 16 15:24:20 2011 -0400

    updates to work with vala 0.12
    
    Removes the custom posix.vapi file, and uses the posix and
    linux packages that are now stock vala items.

 Makefile.am                   |   3 +-
 data/glade/moserial.glade     |   4 +-
 data/glade/moserial.ui        |   6 +
 src/Profile.vala              |   4 +
 src/SerialConnection.vala     | 127 +++----
 src/SerialStreamRecorder.vala |   6 +-
 src/posix.vapi                | 749 ------------------------------------------
 7 files changed, 84 insertions(+), 815 deletions(-)

commit 4ae8dc929ef43c1e7cb3303f560c72d11a51de8f
Author: Takeshi AIHANA <takeshi.aihana@gmail.com>
Date:   Sat May 21 15:04:47 2011 +0900

    Added Japanese translation.

 po/LINGUAS |   1 +
 po/ja.po   | 629 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 630 insertions(+)

commit eac95ace4f1996aa4a1b0abb8e01c731fe28eb02
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Thu May 19 11:19:37 2011 -0400

    post-release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b3cb0acd8061bc8227e6b1f30e13f84101da8cb4
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Thu May 19 11:16:09 2011 -0400

    updated NEWS

 NEWS | 8 ++++++++
 1 file changed, 8 insertions(+)

commit c7c0eab719de332c9cd85047680759ffa6941991
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Thu May 19 10:49:35 2011 -0400

    minor fix, proper string-to-char conversion

 src/Profile.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 046ce1dca989e38da264cffe89b368a8fb4e6d15
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Thu May 19 10:45:50 2011 -0400

    minor fix, make error as public as the function

 src/InputParser.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 608042b8e8327432b72b7be799bce6f32e72a2e7
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Thu May 19 10:29:49 2011 -0400

    minor fix, don't define and pass unused out parameters

 src/MainWindow.vala | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit ee87146fc4eea0cc5ad3378aff03f68d01bb22d7
Author: Claude Paroz <claude@2xlibre.net>
Date:   Tue Mar 22 10:46:39 2011 +0100

    Updated French manual translation

 doc/fr/fr.po | 93 +++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 55 insertions(+), 38 deletions(-)

commit 4b76f269da05c13c4c99dc2be03bab75e2b16937
Author: Claude Paroz <claude@2xlibre.net>
Date:   Tue Mar 22 10:17:24 2011 +0100

    Add French translation of manual
    
    Contributed by Julien Hardelin and Claude Paroz

 doc/Makefile.am |   2 +-
 doc/fr/fr.po    | 788 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 789 insertions(+), 1 deletion(-)

commit 00f0476fec5893144ff82d57827a808bccf952b5
Author: Olav Vitters <olav@vitters.nl>
Date:   Tue Mar 8 22:29:31 2011 +0100

    DOAP: fix download location

 moserial.doap | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bde1f04b9808dacd0175ff7d09b0961522918c9b
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Thu Feb 24 11:45:23 2011 +0100

    Added Norwegian bokmål translation

 po/nb.po | 121 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 67 insertions(+), 54 deletions(-)

commit 1f587a9a333809a93b127808d201ef3752a1a704
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Feb 21 19:42:36 2011 +0100

    Updated Spanish translation

 doc/es/es.po | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit b5adfaede6225977fbbee1a6fd1d48a94091849e
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Tue Feb 15 09:10:21 2011 -0500

    post-release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b2f76e833d786382e2a6e0ac911fba5139d50b61
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Tue Feb 15 09:04:40 2011 -0500

    updated NEWS

 NEWS | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit 700a8a182555a3e70b1d713019012bd901fb8286
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Mon Feb 14 13:01:34 2011 -0500

    replace Action with less ambiguous Gtk.Action
    
    https://bugs.launchpad.net/ubuntu/+source/moserial/+bug/713931

 src/MainWindow.vala | 26 +++++++++++++-------------
 1 file changed, 13 insertions(+), 13 deletions(-)

commit b0189c525e8eaf8f03c8a15f6ed523c300096a29
Author: Marlo <brooss.teambb@gmail.com>
Date:   Mon Feb 14 12:45:03 2011 -0500

    fix runtime warnings in rz/szwrapper

 src/Rzwrapper.vala | 3 ++-
 src/Szwrapper.vala | 3 ++-
 2 files changed, 4 insertions(+), 2 deletions(-)

commit 975a597327fcf312bc26b2b2bab5181f58952f49
Author: Marlo <brooss.teambb@gmail.com>
Date:   Mon Feb 14 09:52:46 2011 -0500

    add missing catch statments for exceptions

 src/MainWindow.vala | 21 ++++++++++++++++++---
 src/Rzwrapper.vala  | 10 ++++++++++
 src/Szwrapper.vala  |  9 +++++++++
 3 files changed, 37 insertions(+), 3 deletions(-)

commit 561a439602e13c3d830a985c9566122051f1c8d7
Author: Marlo <brooss.teambb@gmail.com>
Date:   Mon Feb 14 09:52:24 2011 -0500

    update signal connect/disconnect syntax

 src/AutoScroll.vala            | 20 +++++-----
 src/MainWindow.vala            | 86 +++++++++++++++++++++---------------------
 src/PreferencesDialog.vala     | 14 +++----
 src/ReceiveChooserDialog.vala  |  4 +-
 src/ReceiveProgressDialog.vala |  4 +-
 src/RecordDialog.vala          |  4 +-
 src/SendChooserDialog.vala     |  4 +-
 src/SendProgressDialog.vala    |  4 +-
 src/SettingsDialog.vala        |  6 +--
 src/XmodemFilenameDialog.vala  |  4 +-
 10 files changed, 75 insertions(+), 75 deletions(-)

commit 5815d9e91bc3430f14e680bc6590aadec585f452
Author: Marlo <brooss.teambb@gmail.com>
Date:   Mon Feb 14 09:51:57 2011 -0500

    update constructors to new syntax

 src/MainWindow.vala            |  3 +--
 src/Preferences.vala           | 16 ++++++++--------
 src/PreferencesDialog.vala     |  2 +-
 src/ReceiveChooserDialog.vala  |  2 +-
 src/ReceiveProgressDialog.vala |  2 +-
 src/RecordDialog.vala          |  2 +-
 src/Rzwrapper.vala             |  7 +++----
 src/SendChooserDialog.vala     |  2 +-
 src/SendProgressDialog.vala    |  2 +-
 src/Settings.vala              | 17 +++++++++--------
 src/SettingsDialog.vala        |  2 +-
 src/Szwrapper.vala             |  6 +++---
 src/XmodemFilenameDialog.vala  |  2 +-
 13 files changed, 32 insertions(+), 33 deletions(-)

commit 775f8764652be9e74e3a542a6ee84e4ff33e1fac
Author: Marlo <brooss.teambb@gmail.com>
Date:   Mon Feb 14 09:51:32 2011 -0500

    fix posix.vapi warnings

 src/posix.vapi | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit 99ffbc658c0bb75fdc86b36c5f49ca090160a1e3
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Mon Feb 14 09:49:32 2011 -0500

    version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fadf5f01790b069fdc5df60f10134e6aa790fe20
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sat Feb 12 13:22:27 2011 +0100

    Updated Spanish translation

 doc/es/es.po | 84 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++---
 1 file changed, 80 insertions(+), 4 deletions(-)

commit f33db50c146520f40ba15b94233e47005697fd0b
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sat Feb 12 10:00:52 2011 +0100

    Updated Spanish translation

 po/es.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit f2320006cad06ba357d285639f3d8844553007f8
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Wed Feb 9 19:19:52 2011 +0100

    Updated Spanish translation

 doc/es/es.po | 68 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++----
 1 file changed, 64 insertions(+), 4 deletions(-)

commit a464eafa928e8c906dc9c0fd6fbf1124ec756866
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Feb 8 21:05:40 2011 +0100

    Updated Spanish translation

 doc/es/es.po | 383 ++++++++++++++++++++++++++++++++++++++++++++++++-----------
 1 file changed, 316 insertions(+), 67 deletions(-)

commit 082a2c60b9fb58f889b4563d9bdbca82845a580e
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Feb 8 21:05:16 2011 +0100

    Updated Spanish translation

 po/es.po | 19 +++++++------------
 1 file changed, 7 insertions(+), 12 deletions(-)

commit 05c6182c99450afafedccba7ba24783c04e971a6
Author: Joe Hansen <joedalton2@yahoo.dk>
Date:   Sun Jan 2 11:53:38 2011 +0100

    Updated Danish translation

 po/da.po | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit 7eaadd547fce3e0c39169ae280ee406941910392
Author: Flamarion Jorge <jorge.flamarion@gmail.com>
Date:   Tue Nov 9 15:34:52 2010 -0200

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 448 +++++++++++++++++++++++++++++-------------------------------
 1 file changed, 213 insertions(+), 235 deletions(-)

commit 6cfcd8a99f8c088fbba00047976bf9b489fff79b
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Fri Oct 22 19:27:41 2010 +0200

    Added sl for Slovenian translation

 doc/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0ed091259ab66ef533347b4da31f2802b7b1b64a
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Fri Oct 22 19:27:18 2010 +0200

    Updated Slovenian translation

 doc/sl/sl.po | 381 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 381 insertions(+)

commit fe4e69b4f638a48d0b6f10c10efdab3de26d592f
Author: Joe Hansen <joedalton2@yahoo.dk>
Date:   Mon Sep 27 00:49:58 2010 +0200

    Updated Danish translation

 po/da.po | 110 +++++++--------------------------------------------------------
 1 file changed, 11 insertions(+), 99 deletions(-)

commit 8d66f29f21bb700c0b38de20adadc238df78243f
Author: Aron Xu <aronxu@gnome.org>
Date:   Sat Aug 28 09:11:56 2010 +0800

    Fix a small problem in translator-credit string of zh_CN.po

 po/zh_CN.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 34d6e6035fce022c1cb7cbf0e84105c7112d78e0
Author: Aron Xu <aronxu@gnome.org>
Date:   Sat Aug 28 09:11:07 2010 +0800

    Update Simplified Chinese translation.

 po/zh_CN.po | 70 +++++++++++++++++++++++++++++++++++++++++++++++++++----------
 1 file changed, 59 insertions(+), 11 deletions(-)

commit 79d2c6102ca9a2a9c67b9eb04616a485a67e7ef0
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue Jun 29 14:57:51 2010 +0200

    Updated Slovenian translation

 po/sl.po | 132 +++++++++++++++------------------------------------------------
 1 file changed, 30 insertions(+), 102 deletions(-)

commit b8b10d5fad991ab47c09bc0f901451a5adc3a866
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Sun Jun 20 02:36:14 2010 +0200

    Update Galician translations

 po/gl.po | 14 ++++++--------
 1 file changed, 6 insertions(+), 8 deletions(-)

commit 8f65a0c07bda5ca1f7b8e673e3381478033c15c4
Author: Olav Vitters <olav@vitters.nl>
Date:   Sun Apr 18 12:20:25 2010 +0200

    Fix doap file

 moserial.doap | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f8338b6359985c7ff90e275b2e3589246905b5a5
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Tue Mar 30 09:45:08 2010 -0400

    2.30.0 release

 NEWS                      | 10 ++++++++++
 configure.ac              |  2 +-
 data/glade/moserial.glade | 16 ++++++++--------
 data/glade/moserial.ui    | 16 ++++++++--------
 4 files changed, 27 insertions(+), 17 deletions(-)

commit 55045e01097b2ae5d913e5c851027f45b7ff15b4
Author: 微尘 <yjwork@189.cn>
Date:   Mon Mar 29 14:33:51 2010 +0800

    Added Simplified Chinese translation.

 po/zh_CN.po | 577 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 577 insertions(+)

commit 0c7261ce6debb8337b0bcfaec9aad38dd2c96f75
Author: 微尘 <yjwork@189.cn>
Date:   Mon Mar 29 14:33:22 2010 +0800

    Added Simplified Chinese translation.

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit fa0ba0d152daa3f412632ee6a8da5a9da528a1ba
Author: Homin Lee <ff4500@gmail.com>
Date:   Sat Mar 20 21:14:26 2010 +0900

    Added Korean translation

 po/LINGUAS |   1 +
 po/ko.po   | 611 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 612 insertions(+)

commit e6b9685799790bd9231b1ae10a7a7e17883d4fed
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sun Mar 14 12:54:12 2010 +0100

    Add Norwegian language entry.

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit 2a326e66007258aa1739908f50518fb1126a655c
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sun Mar 14 12:54:01 2010 +0100

    Added Norwegian bokmål translation.

 po/nb.po | 579 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 579 insertions(+)

commit e35e757371eb74d149dc4982eb64982b96d5ce17
Author: Fran Diéguez <frandieguez@ubuntu.com>
Date:   Sat Mar 13 21:27:04 2010 +0100

    Add Galician translation

 po/LINGUAS |   1 +
 po/gl.po   | 638 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 639 insertions(+)

commit 8e660a5a60584dfcfea329a36c0c9687a6b2e5db
Author: Bruno Brouard <annoa.b@gmail.com>
Date:   Wed Mar 10 22:35:47 2010 +0100

    Updated French translation

 po/fr.po | 383 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 199 insertions(+), 184 deletions(-)

commit e8705931b7f0d4b9dc0698d62847cdd9e48edac2
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Mon Mar 8 15:29:06 2010 -0500

    Update NEWS and version for 2.29.0

 NEWS | 15 ++++++++++++++-
 1 file changed, 14 insertions(+), 1 deletion(-)

commit 2eec17d0fcacd45b21b062d93c9b1da259ca8362
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Mon Mar 8 15:02:44 2010 -0500

    make signals explicity public to fix build problems

 src/ReceiveChooserDialog.vala  | 2 +-
 src/ReceiveProgressDialog.vala | 2 +-
 src/Rzwrapper.vala             | 4 ++--
 src/SendChooserDialog.vala     | 2 +-
 src/SendProgressDialog.vala    | 2 +-
 src/SerialConnection.vala      | 2 +-
 src/Szwrapper.vala             | 4 ++--
 7 files changed, 9 insertions(+), 9 deletions(-)

commit d4ae419e61dc436d12324f3f58a76ac915c10075
Author: Marek Černocký <marek@manet.cz>
Date:   Tue Feb 23 15:22:56 2010 +0100

    Add Czech translation

 doc/Makefile.am                        |   2 +-
 doc/cs/cs.po                           | 779 +++++++++++++++++++++++++++++++++
 doc/cs/figures/authorizations.png      | Bin 0 -> 129226 bytes
 doc/cs/figures/connect.png             | Bin 0 -> 1542 bytes
 doc/cs/figures/disconnect.png          | Bin 0 -> 1857 bytes
 doc/cs/figures/main-toolbar.png        | Bin 0 -> 9470 bytes
 doc/cs/figures/outgoing.png            | Bin 0 -> 2851 bytes
 doc/cs/figures/port-setup.png          | Bin 0 -> 32053 bytes
 doc/cs/figures/preferences.png         | Bin 0 -> 27642 bytes
 doc/cs/figures/receive-file-dialog.png | Bin 0 -> 109799 bytes
 doc/cs/figures/receive-file.png        | Bin 0 -> 2449 bytes
 doc/cs/figures/receive-progress.png    | Bin 0 -> 14724 bytes
 doc/cs/figures/received-tabs.png       | Bin 0 -> 2042 bytes
 doc/cs/figures/record-dialog.png       | Bin 0 -> 22828 bytes
 doc/cs/figures/record.png              | Bin 0 -> 2130 bytes
 doc/cs/figures/send-file-dialog.png    | Bin 0 -> 85503 bytes
 doc/cs/figures/send-file.png           | Bin 0 -> 2238 bytes
 doc/cs/figures/send-progress.png       | Bin 0 -> 14936 bytes
 doc/cs/figures/sent-tabs.png           | Bin 0 -> 2188 bytes
 doc/cs/figures/statusbar.png           | Bin 0 -> 3153 bytes
 doc/cs/figures/stop-recording.png      | Bin 0 -> 2066 bytes
 21 files changed, 780 insertions(+), 1 deletion(-)

commit b905d2565e09e06e71844337cdfc4ee87e9e0372
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Wed Feb 17 11:31:56 2010 +0100

    Updated German translation

 po/de.po | 378 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 200 insertions(+), 178 deletions(-)

commit e61cf8abb28611baadf3e38dd016784d725ca383
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Mon Feb 15 11:41:06 2010 +0100

    Updated Spanish translation

 po/es.po | 388 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 206 insertions(+), 182 deletions(-)

commit 98d6b5f82b754a5e921868ce2adaff8a4ee1d6c1
Author: Joe Hansen <joedalton2@yahoo.dk>
Date:   Sun Feb 14 17:02:21 2010 +0100

    Updated Danish translation

 po/da.po | 758 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 758 insertions(+)

commit d3dee6a539b736a427b08344aa8507a822927fbe
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:   Sun Feb 14 17:02:21 2010 +0100

    Added da to list of languages

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit 862dcef69bd9ac0d0fb5062440d19ed609fb7d7c
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   Fri Feb 12 13:42:14 2010 +0100

    Updated Slovenian translation

 po/sl.po | 325 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 190 insertions(+), 135 deletions(-)

commit 5f8b434b61aaad6a8538c59a5f3a0c6441d2a3c7
Author: Marek Černocký <marek@manet.cz>
Date:   Tue Feb 9 19:36:04 2010 +0100

    Update Czech translation

 po/cs.po | 372 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 195 insertions(+), 177 deletions(-)

commit 9ee90495a5b3ddc7e5c7ac9a928212d732acb836
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Fri Feb 5 09:20:59 2010 -0500

    Shortened some tooltips (bug 609067), added missing icons (609068)

 NEWS                      |    1 +
 configure.ac              |    2 +-
 data/glade/moserial.glade | 4238 ++++++++++++++++++++++++++++-----------------
 data/glade/moserial.ui    | 1586 +++++++++++++----
 4 files changed, 3830 insertions(+), 1997 deletions(-)

commit 6cf80736339080ff148920d75386d74921d9878c
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Fri Feb 5 08:57:39 2010 -0500

    Revert "Shortened some tooltips (bug 609067), added missing icons (609068)"
    
    This reverts commit aad55782b50a69857e5d5e86adfca457327ea61e.
    Make a stable release, then mess with strings.

 NEWS                      |    1 -
 data/glade/moserial.glade | 4238 +++++++++++++++++----------------------------
 data/glade/moserial.ui    | 1586 ++++-------------
 3 files changed, 1996 insertions(+), 3829 deletions(-)

commit aad55782b50a69857e5d5e86adfca457327ea61e
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Fri Feb 5 08:34:18 2010 -0500

    Shortened some tooltips (bug 609067), added missing icons (609068)

 NEWS                      |    1 +
 data/glade/moserial.glade | 4238 ++++++++++++++++++++++++++++-----------------
 data/glade/moserial.ui    | 1586 +++++++++++++----
 3 files changed, 3829 insertions(+), 1996 deletions(-)

commit 0436d726eadcb5ece9b3b1449341301fed2ef1fa
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Thu Feb 4 08:37:41 2010 -0500

    Add src/posix.vapi to the tar files

 Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 4a8ef619d84e014f1ed05914720267b35bba6633
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Thu Feb 4 08:31:39 2010 -0500

    Fixed GPLv3 license text, added Config.vapi to distro tar files

 Makefile.am                    |  1 +
 NEWS                           |  5 +++++
 src/AutoScroll.vala            | 11 ++++++-----
 src/DefaultPaths.vala          | 11 ++++++-----
 src/HexTextBuffer.vala         | 11 ++++++-----
 src/InputParser.vala           | 11 ++++++-----
 src/Main.vala                  | 11 ++++++-----
 src/MainWindow.vala            | 11 ++++++-----
 src/MoUtils.vala               | 11 ++++++-----
 src/Preferences.vala           | 11 ++++++-----
 src/PreferencesDialog.vala     | 11 ++++++-----
 src/Profile.vala               | 11 ++++++-----
 src/ReceiveChooserDialog.vala  | 11 ++++++-----
 src/ReceiveProgressDialog.vala | 11 ++++++-----
 src/RecordDialog.vala          | 11 ++++++-----
 src/Rzwrapper.vala             | 11 ++++++-----
 src/SendChooserDialog.vala     | 11 ++++++-----
 src/SendProgressDialog.vala    | 11 ++++++-----
 src/SerialConnection.vala      | 11 ++++++-----
 src/SerialStreamRecorder.vala  | 11 ++++++-----
 src/Settings.vala              | 11 ++++++-----
 src/SettingsDialog.vala        | 11 ++++++-----
 src/Szwrapper.vala             | 11 ++++++-----
 src/XmodemFilenameDialog.vala  | 11 ++++++-----
 24 files changed, 138 insertions(+), 110 deletions(-)

commit 19bded4199469abdb6818e182178a33627981469
Author: mjclab <mjclab@pekkala.localdomain>
Date:   Wed Feb 3 14:45:10 2010 -0500

    Minor correction to man page

 data/moserial.1 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 271c184aba2ae06dcc098b6788fad6c7da403c79
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Wed Feb 3 14:20:36 2010 -0500

    build tweaks suggested by the autotools autoupdate program

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 204e9042b665aad45dc7e9ce26d7606ba8c8d2dd
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Wed Feb 3 14:13:26 2010 -0500

    post-release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cded8a500f114f460cc7b907cc1db5c17bd6e7a0
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Wed Feb 3 14:04:52 2010 -0500

    Added the man page file

 data/moserial.1 | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

commit 8d8fe4cf2acf4e77ff0cf4740b3a4445e176f107
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Wed Feb 3 14:02:43 2010 -0500

    version bump, added copyright notices, added man page

 NEWS                           |  9 +++++++++
 configure.ac                   |  2 +-
 data/Makefile.am               |  6 +++++-
 src/AutoScroll.vala            | 18 ++++++++++++++++++
 src/DefaultPaths.vala          | 18 ++++++++++++++++++
 src/HexTextBuffer.vala         | 18 ++++++++++++++++++
 src/InputParser.vala           | 18 ++++++++++++++++++
 src/Main.vala                  | 18 ++++++++++++++++++
 src/MainWindow.vala            | 20 +++++++++++++++++++-
 src/MoUtils.vala               | 18 ++++++++++++++++++
 src/Preferences.vala           | 18 ++++++++++++++++++
 src/PreferencesDialog.vala     | 18 ++++++++++++++++++
 src/Profile.vala               | 18 ++++++++++++++++++
 src/ReceiveChooserDialog.vala  | 18 ++++++++++++++++++
 src/ReceiveProgressDialog.vala | 18 ++++++++++++++++++
 src/RecordDialog.vala          | 18 ++++++++++++++++++
 src/Rzwrapper.vala             | 18 ++++++++++++++++++
 src/SendChooserDialog.vala     | 18 ++++++++++++++++++
 src/SendProgressDialog.vala    | 18 ++++++++++++++++++
 src/SerialConnection.vala      | 18 ++++++++++++++++++
 src/SerialStreamRecorder.vala  | 18 ++++++++++++++++++
 src/Settings.vala              | 18 ++++++++++++++++++
 src/SettingsDialog.vala        | 18 ++++++++++++++++++
 src/Szwrapper.vala             | 18 ++++++++++++++++++
 src/XmodemFilenameDialog.vala  | 18 ++++++++++++++++++
 25 files changed, 412 insertions(+), 3 deletions(-)

commit 6556f133d2e056fe5535abfe31b1ddd5f5827bc7
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   Wed Jan 27 11:59:44 2010 +0100

    Updated Slovenian translation

 po/sl.po | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

commit 97c38dbbbe8ecf429ebd870d0cef783252941d9a
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sat Jan 23 19:51:45 2010 +0100

    Added sl for Slovenian translation

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit 8464f65b0a2fafce49be4afeb74871b258ff8967
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   Sat Jan 23 19:51:38 2010 +0100

    Updated Slovenian translation

 po/sl.po | 614 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 614 insertions(+)

commit b48bd316205e5f922cddafe0d69637669d0d8f88
Author: Marek Černocký <marek@manet.cz>
Date:   Wed Oct 28 17:09:02 2009 +0100

    Add Czech translation

 po/LINGUAS |   1 +
 po/cs.po   | 703 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 704 insertions(+)

commit ce91b7e1c942e99f1f1054c85612dfb0fe919af6
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Fri Oct 16 17:59:38 2009 +0200

    Updated German translation

 po/de.po | 294 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 144 insertions(+), 150 deletions(-)

commit 5f6b65583e5788e478bbcbff1504094728ec1ea9
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Thu Sep 17 08:30:35 2009 -0400

    Stable 2.28.0 release

 NEWS         | 5 +++++
 configure.ac | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 3cb5939df7973bdb8b799408c996da931bbe5156
Author: Marlodavampire <brooss.teambb@gmail.com>
Date:   Thu Sep 17 08:18:42 2009 -0400

    Fixed crash on Fedora 11

 src/Rzwrapper.vala | 2 +-
 src/Szwrapper.vala | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit b82c6fc1bac8d87fb2eb8b034d68dec26e46270a
Author: mjclab <mjclab@pekkala.localdomain>
Date:   Fri Sep 11 15:31:48 2009 -0400

    Fixed bug 588022, Valac compile errors with Debian squeeze

 .gitignore                |   4 +
 gnome-doc-utils.make      | 578 ----------------------------------------------
 po/Makefile.in.in         | 217 -----------------
 src/SerialConnection.vala |   2 +-
 4 files changed, 5 insertions(+), 796 deletions(-)

commit 8e64b1aba2e850698bfb1a2f31cc76d7b0e6ed05
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Wed Aug 19 07:59:04 2009 -0400

    Skip header files in make distcheck for vala 0.7.x, bug 588022

 Makefile.am | 1 -
 1 file changed, 1 deletion(-)

commit 839a2d98c074d756655cbd0d6d736dc9ec5b9c58
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Mon Aug 17 08:46:26 2009 -0400

    Post-release version bump to 2.27.6

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 83e1f3019371ff944544a7e169be2a2d64beca1e
Author: Marlodavampire <brooss.teambb@gmail.com>
Date:   Mon Aug 17 08:23:12 2009 -0400

    Fixed bug 588022 - Fixes to compile with Vala 0.7.x

 NEWS                           | 7 ++++++-
 src/MainWindow.vala            | 6 +++---
 src/PreferencesDialog.vala     | 6 +++---
 src/ReceiveChooserDialog.vala  | 6 +++---
 src/ReceiveProgressDialog.vala | 2 +-
 src/RecordDialog.vala          | 6 +++---
 src/Rzwrapper.vala             | 4 ++--
 src/SendChooserDialog.vala     | 6 +++---
 src/SendProgressDialog.vala    | 2 +-
 src/SerialConnection.vala      | 2 +-
 src/Szwrapper.vala             | 4 ++--
 src/XmodemFilenameDialog.vala  | 4 ++--
 12 files changed, 30 insertions(+), 25 deletions(-)

commit 7982f06d338444c77088552f170ab820eb0053d3
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Fri Aug 14 15:57:33 2009 +0200

    Updated Spanish translation

 po/es.po | 106 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 50 insertions(+), 56 deletions(-)

commit da7677bb3c3012e84336a4aa5cb3c63b9e578a56
Author: mjclab <mjclab@pekkala.localdomain>
Date:   Tue Aug 11 15:10:53 2009 -0400

    Post-release version bump to 2.27.5

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7523c56cb64251d5d66bfb90c5b49cbed095ef32
Author: mjclab <mjclab@pekkala.localdomain>
Date:   Tue Aug 11 15:01:31 2009 -0400

    Update NEWS

 NEWS | 6 ++++++
 1 file changed, 6 insertions(+)

commit d6ab3994a9693eaf6dbdef61a7df92b7259da88b
Author: mjclab <mjclab@pekkala.localdomain>
Date:   Tue Aug 11 14:58:16 2009 -0400

    Re-populate port list every time the settings dialog is opened

 src/SettingsDialog.vala | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit ae0116ebd74d77ad2b1278a65c1e79ac8181e7f6
Author: David Planella <david.planella@gmail.com>
Date:   Fri Jun 26 21:44:32 2009 +0200

    Added Catalan code to LINGUAS

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit 5d958ded211eab949db54b74605a04fa16064888
Author: David Planella <david.planella@gmail.com>
Date:   Fri Jun 26 21:41:54 2009 +0200

    Added Catalan translation

 po/ca.po | 734 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 734 insertions(+)

commit bda270ec0858b0a76f83a1c67252639c569ca92f
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Wed Jun 24 08:11:24 2009 -0400

    Fixed a compile issue

 gnome-doc-utils.make    | 14 +++++++++-----
 po/Makefile.in.in       |  4 ++--
 src/SettingsDialog.vala | 12 ++++++------
 3 files changed, 17 insertions(+), 13 deletions(-)

commit 9f7f211852472432b079126b35842b66713e7b47
Author: Jorge Gonzalez <jorgegonz@svn.gnome.org>
Date:   Sun Jun 7 23:29:54 2009 +0200

    Added initial Spanish translation

 doc/es/es.po | 417 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 417 insertions(+)

commit 977e8a7b5eea2536ad7ae3c9702feb78bf048fe8
Author: Jorge Gonzalez <jorgegonz@svn.gnome.org>
Date:   Sun Jun 7 23:29:47 2009 +0200

    Added es to DOC_LINGUAS2

 doc/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 81025f5d847160a3d04747cfd9998ebc5e676304
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Mon Jun 1 10:50:54 2009 -0400

    Post-release bump to 2.27.4

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 61819ea20de9b0cd27341c8c604ced2e91e32fac
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Mon Jun 1 10:46:57 2009 -0400

    Fix the last NEWS entry

 NEWS | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 17595530035e4502e489eb893e8c3781de07d4ac
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Mon Jun 1 10:42:46 2009 -0400

    Fix the gtk library requirement

 NEWS         | 1 +
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

commit a2688b39f98c44adb5da3469bfd50dfc121481f7
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Fri May 29 10:27:06 2009 -0400

    Post-release version bump to 2.27.3

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e43745bd8293edc677338323761a3db6f0049315
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Fri May 29 10:23:57 2009 -0400

    Update version in NEWS file

 NEWS | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4289ed64c1d5cf52361019822d4b3cfacb1cafbf
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Fri May 29 10:20:48 2009 -0400

    Bump version to 2.27.2

 NEWS         | 10 ++++++++++
 configure.ac |  2 +-
 2 files changed, 11 insertions(+), 1 deletion(-)

commit 518de7ca264c0dfab3f6e9367240b22a69d8b4f2
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Fri May 29 10:04:51 2009 -0400

    Post-branch version bump to 2.27.0

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 77041849f7dd2b551082ff9e7a57297b3c0faa8e
Author: Cortland Setlow <cortland.setlow@gmail.com>
Date:   Fri May 29 09:41:27 2009 -0400

    Added 1M and 2M baud rates; fix typo in 900kbaud rate name

 data/glade/moserial.ui    | 8 +++++++-
 src/SerialConnection.vala | 6 ++++++
 src/posix.vapi            | 2 ++
 3 files changed, 15 insertions(+), 1 deletion(-)

commit 9e5715dac17aaecf6674913722b1935efd8b791d
Author: Claude Paroz <claude@2xlibre.net>
Date:   Sat May 23 14:58:35 2009 +0200

    Added French translation by Laurent Coudeur and Claude Paroz

 po/LINGUAS |   1 +
 po/fr.po   | 708 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 709 insertions(+)

commit fbb9a1681a0531f2e47f710948dee82f9768003c
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Mon May 18 12:18:40 2009 -0400

    Post-release version bump to 2.26.2

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2ca7583f8ae0bc6b9a87ee4bc6eb7b6400810424
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Mon May 18 12:13:26 2009 -0400

    Update NEWS for 2.26.1 release

 NEWS | 13 +++++++++++++
 1 file changed, 13 insertions(+)

commit 361c11ba95cd524d976d8b3464963248c0777b6d
Author: Jonh Wendell <wendell@bani.com.br>
Date:   Mon May 18 12:08:36 2009 -0400

    Added .gitignore file

 .gitignore | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)

commit 703c1deb0ed0fc4e4fd059afa60af920f1beb60c
Author: Jonh Wendell <wendell@bani.com.br>
Date:   Mon May 18 12:03:43 2009 -0400

    Actually make i18n work

 Makefile.am     | 2 +-
 src/Config.vapi | 5 +++++
 src/Main.vala   | 8 +++++++-
 3 files changed, 13 insertions(+), 2 deletions(-)

commit 717534591d79777e1ed4b145cd80fe37bfdf166e
Author: Jonh Wendell <wendell@bani.com.br>
Date:   Mon May 18 12:01:21 2009 -0400

    Unmark some strings for translation

 data/glade/moserial.glade | 30 +++++++++++++++---------------
 data/glade/moserial.ui    | 26 +++++++++++++-------------
 2 files changed, 28 insertions(+), 28 deletions(-)

commit 1baf8ef22c5b28a1a689104e865a015f67a599a7
Author: Jonh Wendell <jwendell@gnome.org>
Date:   Mon May 18 10:39:25 2009 -0300

    Added Brazilian Portuguese translation
    
    po/LINGUAS: Added pt_BR to the list
    po/pt_BR.po: New translation, by Flamarion Jorge and myself.

 po/LINGUAS  |   1 +
 po/pt_BR.po | 740 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 741 insertions(+)

commit 0eda8095207c825b50f790425402dd52accdb1c2
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Thu Apr 23 12:33:05 2009 +0200

    Updated German translation

 doc/ChangeLog |   4 ++
 doc/de/de.po  | 158 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++--
 2 files changed, 158 insertions(+), 4 deletions(-)

commit 87078b79f462f13d26fd9b94cde617d7cbf3a715
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Mon Apr 20 22:33:03 2009 +0200

    Added German doc translation

 doc/ChangeLog   |   5 +
 doc/Makefile.am |   2 +-
 doc/de/de.po    | 651 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 657 insertions(+), 1 deletion(-)

commit b6de972a9e01d604c1ca3b68f56f83e36f1a2a6b
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Fri Apr 17 15:17:19 2009 -0400

    Add more info to the doap file.

 moserial.doap | 2 ++
 1 file changed, 2 insertions(+)

commit 5bd96d680da9d7016d5b9554368c212c08b0e042
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Fri Apr 17 15:13:45 2009 -0400

    Generate ChangeLog automatically during make dist
    
    Also, move the old ChangeLog to ChangeLog.pre-git, and
    add the empty m4 directory (with a .gitignore file in it
    to make git happy about an empty directory).

 ChangeLog => ChangeLog.pre-git |  0
 Makefile.am                    | 16 ++++++++++++++++
 m4/.gitignore                  |  0
 3 files changed, 16 insertions(+)

commit 7e2a189c42e1e28ac25f3822d642e789517fbe8d
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Fri Apr 17 11:28:15 2009 -0400

    Uncomment the useful bits of the doap file

 moserial.doap | 17 +----------------
 1 file changed, 1 insertion(+), 16 deletions(-)

commit 6ea47a12a37d8ecc63be4db642aa036f182a7a0c
Author: Michael J. Chudobiak <mjc@avtechpulse.com>
Date:   Fri Apr 17 11:20:51 2009 -0400

    Added doap file

 moserial.doap | 34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)

commit d82149addfc0ab905199361c3f5e09bff76f9f7b
Author: Jorge Gonzalez Gonzalez <jorgegonz@src.gnome.org>
Date:   Sun Apr 12 16:06:30 2009 +0000

    Updated Spanish translation by Robi Sottini
    
    svn path=/trunk/; revision=42

 po/ChangeLog |   4 +
 po/es.po     | 345 +++++++++++++++++++++++++++++++++++------------------------
 2 files changed, 209 insertions(+), 140 deletions(-)

commit bda0506dba1b7d8d75c42f5f8eeb47e1b244328a
Author: Michael J. Chudobiak <mjc@svn.gnome.org>
Date:   Tue Apr 7 13:02:17 2009 +0000

    Post-release version bump to 2.26.1.
    
    2009-04-07  Michael J. Chudobiak  <mjc@svn.gnome.org>
    
            * configure.ac:
            Post-release version bump to 2.26.1.
    
    
    svn path=/trunk/; revision=41

 ChangeLog    | 5 +++++
 configure.ac | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 7f5845aac0e4ef701af88f176144bffb7d115d19
Author: Michael J. Chudobiak <mjc@svn.gnome.org>
Date:   Tue Apr 7 12:57:37 2009 +0000

    Call this 2.26.0, to align with gnome versioning.
    
    2009-04-07  Michael J. Chudobiak  <mjc@svn.gnome.org>
    
            * NEWS:
            * configure.ac:
            * doc/C/moserial.xml:
            Call this 2.26.0, to align with gnome versioning.
    
    
    svn path=/trunk/; revision=39

 ChangeLog          | 7 +++++++
 NEWS               | 5 +++--
 configure.ac       | 2 +-
 doc/C/moserial.xml | 6 +++---
 4 files changed, 14 insertions(+), 6 deletions(-)

commit c8bb4385ef86858b43e4dfcb6e79c8a4a40fd8a2
Author: Michael J. Chudobiak <mjc@svn.gnome.org>
Date:   Tue Apr 7 12:53:52 2009 +0000

    Added ESC as a termination character.
    
    2009-04-07  Michael J. Chudobiak  <mjc@svn.gnome.org>
    
            * data/glade/moserial.glade:
            * data/glade/moserial.ui:
            * src/SerialConnection.vala:
            Added ESC as a termination character.
    
    
    svn path=/trunk/; revision=38

 ChangeLog                 |   7 +
 NEWS                      |   7 +
 data/glade/moserial.glade | 343 +++++++++++++++++-----------------
 data/glade/moserial.ui    | 461 +++++++++++++++++++++++-----------------------
 src/SerialConnection.vala |   6 +-
 5 files changed, 423 insertions(+), 401 deletions(-)

commit 7d5f184cd5c4b34be68d94a210552991116a827d
Author: Michael J. Chudobiak <mjc@svn.gnome.org>
Date:   Fri Apr 3 17:23:36 2009 +0000

    Remove the Escape key definition out from glade and put it in the code.
    
    2009-04-03  Michael J. Chudobiak  <mjc@svn.gnome.org>
    
            * data/glade/moserial.glade:
            * data/glade/moserial.ui:
            * src/MainWindow.vala:
            Remove the Escape key definition out from glade and put it in the
            code. Also, scroll all text boxes to the bottom after pressing
            escape.
    
    svn path=/trunk/; revision=37

 ChangeLog                 |   9 +
 data/glade/moserial.glade | 345 +++++++++++++++++-----------------
 data/glade/moserial.ui    | 461 +++++++++++++++++++++++-----------------------
 src/MainWindow.vala       |  31 +++-
 4 files changed, 437 insertions(+), 409 deletions(-)

commit 9d8f9b09c2890e9b6022a51b95038b445ffd9ec1
Author: Michael J. Chudobiak <mjc@src.gnome.org>
Date:   Fri Mar 20 18:24:49 2009 +0000

    Post-release version bump to 1.0.9.
    
    svn path=/trunk/; revision=36

 ChangeLog    | 5 +++++
 configure.ac | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 2a17c5facd697aa16b2161aad1098005e2f45d6b
Author: Michael J. Chudobiak <mjc@src.gnome.org>
Date:   Fri Mar 20 18:21:01 2009 +0000

    Version 1.0.8 -------------
    
    Version 1.0.8
    -------------
    
            * Added a recent files chooser submenu.
            * Show recording filename in window title.
            * Added support for /dev/rfcomm ports.
    
            New translation: Spanish (es)
            Updated docs: Swedish (sv)
    
    
    svn path=/trunk/; revision=34

 ChangeLog | 6 ++++++
 NEWS      | 5 ++++-
 2 files changed, 10 insertions(+), 1 deletion(-)

commit 32ec42b2017de5eded89293308d7a54b87ae565f
Author: Michael J. Chudobiak <mjc@svn.gnome.org>
Date:   Fri Mar 20 14:30:45 2009 +0000

    Update window title correctly after recording timeout.
    
    2009-03-20  Michael J. Chudobiak  <mjc@svn.gnome.org>
    
            * src/MainWindow.vala:
            Update window title correctly after recording timeout.
    
    
    svn path=/trunk/; revision=33

 ChangeLog           | 5 +++++
 src/MainWindow.vala | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit ad05e18f9cade6418d475fd23ca3be7633866b23
Author: Michael J. Chudobiak <mjc@svn.gnome.org>
Date:   Fri Mar 20 14:22:06 2009 +0000

    Show recording filename in window title.
    
    2009-03-20  Michael J. Chudobiak  <mjc@svn.gnome.org>
    
            * src/MainWindow.vala:
            Show recording filename in window title.
    
    
    svn path=/trunk/; revision=32

 ChangeLog           |  5 +++++
 src/MainWindow.vala | 21 ++++++++++++++++++++-
 2 files changed, 25 insertions(+), 1 deletion(-)

commit 44a8dbd988eaf2a476637080cf2675a736e4a82a
Author: Jorge Gonzalez Gonzalez <jorgegonz@src.gnome.org>
Date:   Thu Mar 19 12:14:17 2009 +0000

    Added Spanish translation
    
    svn path=/trunk/; revision=31

 po/ChangeLog |   5 +
 po/LINGUAS   |   1 +
 po/es.po     | 670 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 676 insertions(+)

commit 9dbbfe3978316ba38891ddeb8d4fe8aa7c30b2d8
Author: Michael J. Chudobiak <mjc@svn.gnome.org>
Date:   Wed Mar 18 17:12:27 2009 +0000

    Removed an obsolete comment.
    
    2009-03-18  Michael J. Chudobiak  <mjc@svn.gnome.org>
    
            * src/MainWindow.vala:
            Removed an obsolete comment.
    
    
    svn path=/trunk/; revision=30

 ChangeLog           | 5 +++++
 src/MainWindow.vala | 3 ---
 2 files changed, 5 insertions(+), 3 deletions(-)

commit d636a2e1088637db7975f0578b48c2bd7bf4ea0d
Author: Michael J. Chudobiak <mjc@svn.gnome.org>
Date:   Wed Mar 18 14:10:37 2009 +0000

    Added support for /dev/rfcomm ports.
    
    2009-03-18  Michael J. Chudobiak  <mjc@svn.gnome.org>
    
            * doc/C/moserial.xml:
            * src/SettingsDialog.vala:
            Added support for /dev/rfcomm ports.
    
    
    svn path=/trunk/; revision=29

 ChangeLog               |  6 ++++++
 doc/C/moserial.xml      |  5 +++--
 src/SettingsDialog.vala | 28 +++++++++++++---------------
 3 files changed, 22 insertions(+), 17 deletions(-)

commit 22f79b809600c934d0f8fa7921bf3f8ccc402089
Author: Michael J. Chudobiak <mjc@svn.gnome.org>
Date:   Wed Mar 18 12:14:20 2009 +0000

    Remove another pointless warning.
    
    2009-03-18  Michael J. Chudobiak  <mjc@svn.gnome.org>
    
            * src/MainWindow.vala:
            Remove another pointless warning.
    
    
    svn path=/trunk/; revision=28

 ChangeLog           | 5 +++++
 src/MainWindow.vala | 1 -
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 863cad87e71307c16c361df051ec79a04b1fbc6e
Author: Michael J. Chudobiak <mjc@svn.gnome.org>
Date:   Wed Mar 18 12:09:42 2009 +0000

    Renamed doConnect to connectButtonClick to avoid confusion with another
    
    2009-03-18  Michael J. Chudobiak  <mjc@svn.gnome.org>
    
            * src/MainWindow.vala:
            Renamed doConnect to connectButtonClick to avoid confusion
            with another function of the same name.
    
            Removed one pointless warning.
    
            Check connection status before showing record dialog.
    
    
    svn path=/trunk/; revision=27

 ChangeLog           | 10 ++++++++++
 src/MainWindow.vala |  9 ++++++---
 2 files changed, 16 insertions(+), 3 deletions(-)

commit 12c7c59b6b8041e4a576aa9c7ebf3497b598d866
Author: Michael J. Chudobiak <mjc@svn.gnome.org>
Date:   Tue Mar 17 15:16:17 2009 +0000

    Improved formatting of the special keys docs.
    
    2009-03-17  Michael J. Chudobiak  <mjc@svn.gnome.org>
    
            * doc/C/moserial.xml:
            Improved formatting of the special keys docs.
    
    
    svn path=/trunk/; revision=26

 ChangeLog          |  5 ++++
 doc/C/moserial.xml | 80 +++++++++++++++++++++++++++++++++++++++++++-----------
 2 files changed, 69 insertions(+), 16 deletions(-)

commit 4cbc3e4c0c347021835a8e30f27cd6a382fc0e00
Author: Michael J. Chudobiak <mjc@svn.gnome.org>
Date:   Tue Mar 17 13:06:03 2009 +0000

    Added a recent files submenu.
    
    2009-03-17  Michael J. Chudobiak  <mjc@svn.gnome.org>
    
            * data/glade/moserial.glade:
            * data/glade/moserial.ui:
            Added a recent files submenu.
    
            * src/Main.vala:
            Mangle command-line filename argument appropriately.
    
            * src/MainWindow.vala:
            Added recent files support.
            Refactored profile loading, to reduce duplicated code.
    
    
    svn path=/trunk/; revision=25

 ChangeLog                 |  13 ++
 NEWS                      |   7 +
 data/glade/moserial.glade | 351 +++++++++++++++++-----------------
 data/glade/moserial.ui    | 469 +++++++++++++++++++++++-----------------------
 src/Main.vala             |   2 +
 src/MainWindow.vala       |  75 +++++---
 6 files changed, 490 insertions(+), 427 deletions(-)

commit 3eda638c32063b75cb3a269e89b2ae0f13f1deb5
Author: Daniel Nylander <dnylande@src.gnome.org>
Date:   Mon Mar 16 22:04:46 2009 +0000

    Added Swedish translation. Added sv
    
            * sv/sv.po: Added Swedish translation.
            * Makefile.am: Added sv
    
    
    svn path=/trunk/; revision=24

 doc/ChangeLog   |   4 +
 doc/Makefile.am |   2 +-
 doc/sv/sv.po    | 340 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 345 insertions(+), 1 deletion(-)

commit 50404b6a957731b6da8809490fe8da94325de4fc
Author: Michael J. Chudobiak <mjc@svn.gnome.org>
Date:   Mon Mar 16 20:28:34 2009 +0000

    Post-release version bump to 1.0.8.
    
    2009-03-16  Michael J. Chudobiak  <mjc@svn.gnome.org>
    
            * configure.ac:
            Post-release version bump to 1.0.8.
    
    
    svn path=/trunk/; revision=23

 ChangeLog    | 5 +++++
 configure.ac | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 4e2154b2fc2df072fde1fed80259892e0f52f10f
Author: Michael J. Chudobiak <mjc@svn.gnome.org>
Date:   Mon Mar 16 20:24:54 2009 +0000

    [ moserial 1.0.7 released ]
    
    2009-03-16  Michael J. Chudobiak  <mjc@svn.gnome.org>
    
            [ moserial 1.0.7 released ]
    
            * configure.ac:
            Added the link to our new bugzilla product.
    
    
    svn path=/trunk/; revision=21

 ChangeLog    | 7 +++++++
 NEWS         | 8 ++++++++
 configure.ac | 2 +-
 3 files changed, 16 insertions(+), 1 deletion(-)

commit deab398d71e78046f4c97ad1e5cd3d35a899153b
Author: Michael J. Chudobiak <mjc@svn.gnome.org>
Date:   Mon Mar 16 17:49:57 2009 +0000

    Document special keys.
    
    2009-03-16  Michael J. Chudobiak  <mjc@svn.gnome.org>
    
            * data/glade/moserial.glade:
            * data/glade/moserial.ui:
            Document special keys.
    
            * doc/C/moserial.xml:
            Make the entrybox grab the focus when the user presses Escape.
    
    
    svn path=/trunk/; revision=20

 ChangeLog                 |   9 +
 data/glade/moserial.glade | 345 +++++++++++++++++-----------------
 data/glade/moserial.ui    | 461 +++++++++++++++++++++++-----------------------
 doc/C/moserial.xml        |  21 +++
 4 files changed, 434 insertions(+), 402 deletions(-)

commit 4c9e7b3e150df0d8796a4b78e45609f100d2eb46
Author: Hendrik Brandt <heb@gnomne-de.org>
Date:   Fri Mar 13 22:58:00 2009 +0000

    Added German translation.
    
    2009-03-13  Hendrik Brandt <heb@gnomne-de.org>
    
            * de.po: Added German translation.
    
    
    svn path=/trunk/; revision=19

 po/ChangeLog |   4 +
 po/LINGUAS   |   1 +
 po/de.po     | 741 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 746 insertions(+)

commit f8344d60ccc74a5b173089574b12d609cfcdfe5e
Author: Michael J. Chudobiak <mjc@svn.gnome.org>
Date:   Fri Mar 13 14:54:06 2009 +0000

    Fixed small typo in docs.
    
    2009-03-13  Michael J. Chudobiak  <mjc@svn.gnome.org>
    
            * doc/C/moserial.xml:
            Fixed small typo in docs.
    
    
    svn path=/trunk/; revision=18

 ChangeLog          | 5 +++++
 doc/C/moserial.xml | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit aff54a92cff747f768107039c2ffee91d76f1e49
Author: Michael J. Chudobiak <mjc@svn.gnome.org>
Date:   Fri Mar 13 14:49:46 2009 +0000

    Added some tooltips to clarify the handshaking options.
    
    2009-03-13  Michael J. Chudobiak  <mjc@svn.gnome.org>
    
            * data/glade/moserial.glade:
            * data/glade/moserial.ui:
            Added some tooltips to clarify the handshaking options.
    
    
    svn path=/trunk/; revision=17

 ChangeLog                 |   6 +
 data/glade/moserial.glade | 342 +++++++++++++++++-----------------
 data/glade/moserial.ui    | 458 +++++++++++++++++++++++-----------------------
 3 files changed, 408 insertions(+), 398 deletions(-)

commit a058721de1daa5b708bb63047c7bb3d5fd0131b6
Author: Michael J. Chudobiak <mjc@svn.gnome.org>
Date:   Fri Mar 13 14:40:50 2009 +0000

    Post-release version bump to 1.0.7.
    
    2009-03-13  Michael J. Chudobiak  <mjc@svn.gnome.org>
    
            * configure.ac:
            Post-release version bump to 1.0.7.
    
    
    svn path=/trunk/; revision=16

 ChangeLog    | 5 +++++
 configure.ac | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 53206b84d94e156208004d2966fadd0c3fefdfb6
Author: Michael J. Chudobiak <mjc@svn.gnome.org>
Date:   Fri Mar 13 14:40:01 2009 +0000

    [ moserial 1.0.6 released ]
    
    2009-03-13  Michael J. Chudobiak  <mjc@svn.gnome.org>
    
            [ moserial 1.0.6 released ]
    
            * data/glade/moserial.glade:
            * data/glade/moserial.ui:
            Re-added missing disconnect and stop-recording button labels
    
            * src/Main.vala:
            * src/MainWindow.vala:
            * src/SerialConnection.vala:
            Fixed some nuisance compiler warnings, by renaming variables
            that conflicted with inherited field names.
    
    
    svn path=/trunk/; revision=15

 ChangeLog                 |  14 ++
 NEWS                      |   6 +
 data/glade/moserial.glade | 354 +++++++++++++++++++---------------
 data/glade/moserial.ui    | 470 +++++++++++++++++++++++++---------------------
 src/Main.vala             |   2 +-
 src/MainWindow.vala       |  66 +++----
 src/SerialConnection.vala |   4 +-
 7 files changed, 512 insertions(+), 404 deletions(-)

commit 11f81c60178abe30dc7e34049886c3d985661e3f
Author: Michael J. Chudobiak <mjc@svn.gnome.org>
Date:   Thu Mar 12 18:50:37 2009 +0000

    Post-release version bump to 1.0.6.
    
    2009-03-12  Michael J. Chudobiak  <mjc@svn.gnome.org>
    
            * configure.ac:
            Post-release version bump to 1.0.6.
    
    
    svn path=/trunk/; revision=14

 ChangeLog    | 5 +++++
 configure.ac | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit a1a4b683f851d639ba43a20438185e72457d046f
Author: Michael J. Chudobiak <mjc@src.gnome.org>
Date:   Thu Mar 12 15:29:12 2009 +0000

    Updated NEWS.
    
    svn path=/trunk/; revision=13

 NEWS | 7 +++++++
 1 file changed, 7 insertions(+)

commit 33a7503524d77bdf557f3ab2a997ef12aab22771
Author: Michael J. Chudobiak <mjc@svn.gnome.org>
Date:   Thu Mar 12 15:26:40 2009 +0000

    [ moserial 1.0.5 released ]
    
    2009-03-12  Michael J. Chudobiak  <mjc@svn.gnome.org>
    
            [ moserial 1.0.5 released ]
    
            * src/MainWindow.vala:
            Switch outgoing view to HEX when send mode is HEX.
    
    
    svn path=/trunk/; revision=12

 ChangeLog           |  7 +++++++
 src/MainWindow.vala | 14 ++++++++++++++
 2 files changed, 21 insertions(+)

commit 3348b263227a4a728262eda39c9a067c69612890
Author: Michael J. Chudobiak <mjc@svn.gnome.org>
Date:   Thu Mar 12 15:14:40 2009 +0000

    Validate all characters appended to text buffers.
    
    2009-03-12  Michael J. Chudobiak  <mjc@svn.gnome.org>
    
            * src/MainWindow.vala:
            Validate all characters appended to text buffers.
    
    
    svn path=/trunk/; revision=11

 ChangeLog           |  5 +++++
 src/MainWindow.vala | 13 +++++++++++--
 2 files changed, 16 insertions(+), 2 deletions(-)

commit 6f0b16575fa72736c576383b5373b130c18df47f
Author: Michael J. Chudobiak <mjc@svn.gnome.org>
Date:   Thu Mar 12 14:45:44 2009 +0000

    Fixed HEX entry.
    
    2009-03-12  Michael J. Chudobiak  <mjc@svn.gnome.org>
    
            * src/InputParser.vala:
            Fixed HEX entry.
    
    
    svn path=/trunk/; revision=10

 ChangeLog            | 5 +++++
 src/InputParser.vala | 7 ++++---
 2 files changed, 9 insertions(+), 3 deletions(-)

commit c5476e9f1e6931f14353ec1633e96a72f81d0920
Author: Michael J. Chudobiak <mjc@svn.gnome.org>
Date:   Mon Mar 9 13:19:10 2009 +0000

    Post-release version bump to 1.0.5.
    
    2009-03-09  Michael J. Chudobiak  <mjc@svn.gnome.org>
    
            * configure.ac:
            Post-release version bump to 1.0.5.
    
    
    svn path=/trunk/; revision=9

 ChangeLog    | 5 +++++
 configure.ac | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 7087d0c6f387770076ae102860131eca0df05202
Author: Michael J. Chudobiak <mjc@src.gnome.org>
Date:   Mon Mar 9 12:45:52 2009 +0000

    moserial 1.0.4 released
    
    
    svn path=/trunk/; revision=8

 ChangeLog | 2 ++
 1 file changed, 2 insertions(+)

commit 889132081d073c0477a94c01bc92226a049e3791
Author: Michael J. Chudobiak <mjc@svn.gnome.org>
Date:   Mon Mar 9 12:45:15 2009 +0000

    Make Settings and Preferences dialogs HIG compliant by changing stock
    
    2009-03-09  Michael J. Chudobiak  <mjc@svn.gnome.org>
    
            * NEWS:
            * data/glade/moserial.glade:
            * data/glade/moserial.ui:
            * src/PreferencesDialog.vala:
            * src/SettingsDialog.vala:
            Make Settings and Preferences dialogs HIG compliant by changing
            stock buttons and ordering from Apply/Discard to Cancel/OK.
    
    
    svn path=/trunk/; revision=7

 ChangeLog                     |  10 +
 NEWS                          |   7 +
 data/glade/moserial.glade     | 469 ++++++++++++---------------------
 data/glade/moserial.ui        | 593 ++++++++++++++++--------------------------
 doc/C/figures/port-setup.png  | Bin 37665 -> 39471 bytes
 doc/C/figures/preferences.png | Bin 33832 -> 34650 bytes
 src/PreferencesDialog.vala    |  16 +-
 src/SettingsDialog.vala       |  16 +-
 8 files changed, 423 insertions(+), 688 deletions(-)

commit b9128e3dc5f11e4a1002fe6cdb4a47fbf12a596f
Author: Daniel Nylander <dnylande@src.gnome.org>
Date:   Sun Mar 8 19:39:54 2009 +0000

    sv.po: Updated Swedish translation
    
    svn path=/trunk/; revision=6

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit ce67f8fab8645a59a529aa234b52c312cd3d73bd
Author: Daniel Nylander <dnylande@src.gnome.org>
Date:   Sun Mar 8 19:39:45 2009 +0000

    sv.po: Updated Swedish translation
    
    svn path=/trunk/; revision=5

 po/ChangeLog |   3 +
 po/sv.po     | 639 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 642 insertions(+)

commit 99990d865d892208be253cd0002433a8ee44af27
Author: Michael J. Chudobiak <mjc@svn.gnome.org>
Date:   Fri Mar 6 20:31:52 2009 +0000

    Point the About hyperlink to the gnome page.
    
    2009-03-06  Michael J. Chudobiak  <mjc@svn.gnome.org>
    
            * src/MainWindow.vala:
            Point the About hyperlink to the gnome page.
    
    
    svn path=/trunk/; revision=4

 ChangeLog           | 5 +++++
 src/MainWindow.vala | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 085dbd9a59cad6ce3586d9cd12aca08ef0e8385e
Author: Michael J. Chudobiak <mjc@svn.gnome.org>
Date:   Fri Mar 6 18:49:52 2009 +0000

    Document the timeout feature.
    
    2009-03-06  Michael J. Chudobiak  <mjc@svn.gnome.org>
    
            * doc/C/moserial.xml:
            Document the timeout feature.
    
    
    svn path=/trunk/; revision=3

 ChangeLog                     |   5 +++++
 doc/C/figures/preferences.png | Bin 27927 -> 33832 bytes
 doc/C/moserial.xml            |  11 +++++++++--
 3 files changed, 14 insertions(+), 2 deletions(-)

commit 3c31dd1f74fa7f86ddbf18610e20433db954f6e4
Author: Michael J. Chudobiak <mjc@src.gnome.org>
Date:   Fri Mar 6 18:32:35 2009 +0000

    Initial commit. Copied from SourceForge svn repo.
    
    svn path=/trunk/; revision=2

 AUTHORS                               |    2 +
 COPYING                               |  674 +++++++++++
 ChangeLog                             | 1476 +++++++++++++++++++++++++
 MAINTAINERS                           |    3 +
 Makefile.am                           |   84 ++
 NEWS                                  |    0
 README                                |    0
 autogen.sh                            |    9 +
 configure.ac                          |   50 +
 data/Makefile.am                      |   14 +
 data/glade/Makefile.am                |    8 +
 data/glade/moserial.glade             | 1745 +++++++++++++++++++++++++++++
 data/glade/moserial.ui                | 1968 +++++++++++++++++++++++++++++++++
 data/icons/48x48/Makefile.am          |    1 +
 data/icons/48x48/apps/Makefile.am     |    9 +
 data/icons/48x48/apps/moserial.png    |  Bin 0 -> 2853 bytes
 data/icons/Makefile.am                |   14 +
 data/moserial.desktop.in              |   11 +
 doc/C/figures/authorizations.png      |  Bin 0 -> 148427 bytes
 doc/C/figures/connect.png             |  Bin 0 -> 2680 bytes
 doc/C/figures/disconnect.png          |  Bin 0 -> 3207 bytes
 doc/C/figures/main-toolbar.png        |  Bin 0 -> 10280 bytes
 doc/C/figures/outgoing.png            |  Bin 0 -> 6859 bytes
 doc/C/figures/port-setup.png          |  Bin 0 -> 37665 bytes
 doc/C/figures/preferences.png         |  Bin 0 -> 27927 bytes
 doc/C/figures/receive-file-dialog.png |  Bin 0 -> 80288 bytes
 doc/C/figures/receive-file.png        |  Bin 0 -> 2814 bytes
 doc/C/figures/receive-progress.png    |  Bin 0 -> 15711 bytes
 doc/C/figures/received-tabs.png       |  Bin 0 -> 5877 bytes
 doc/C/figures/record-dialog.png       |  Bin 0 -> 28635 bytes
 doc/C/figures/record.png              |  Bin 0 -> 2772 bytes
 doc/C/figures/send-file-dialog.png    |  Bin 0 -> 74219 bytes
 doc/C/figures/send-file.png           |  Bin 0 -> 2329 bytes
 doc/C/figures/send-progress.png       |  Bin 0 -> 14805 bytes
 doc/C/figures/sent-tabs.png           |  Bin 0 -> 4458 bytes
 doc/C/figures/statusbar.png           |  Bin 0 -> 8619 bytes
 doc/C/figures/stop-recording.png      |  Bin 0 -> 4403 bytes
 doc/C/legal.xml                       |   76 ++
 doc/C/moserial.xml                    |  427 +++++++
 doc/ChangeLog                         |    0
 doc/Makefile.am                       |   26 +
 doc/moserial.omf.in                   |   11 +
 gnome-doc-utils.make                  |  574 ++++++++++
 omf.make                              |   61 +
 po/ChangeLog                          |    0
 po/LINGUAS                            |    2 +
 po/Makefile.in.in                     |  217 ++++
 po/POTFILES.in                        |   14 +
 po/POTFILES.skip                      |   11 +
 src/AutoScroll.vala                   |   28 +
 src/Config.vapi                       |    6 +
 src/DefaultPaths.vala                 |   47 +
 src/HexTextBuffer.vala                |  104 ++
 src/InputParser.vala                  |  121 ++
 src/Main.vala                         |   42 +
 src/MainWindow.vala                   |  809 ++++++++++++++
 src/MoUtils.vala                      |   81 ++
 src/Preferences.vala                  |  105 ++
 src/PreferencesDialog.vala            |  129 +++
 src/Profile.vala                      |   94 ++
 src/ReceiveChooserDialog.vala         |   46 +
 src/ReceiveProgressDialog.vala        |   41 +
 src/RecordDialog.vala                 |   67 ++
 src/Rzwrapper.vala                    |  212 ++++
 src/SendChooserDialog.vala            |   45 +
 src/SendProgressDialog.vala           |   41 +
 src/SerialConnection.vala             |  277 +++++
 src/SerialStreamRecorder.vala         |   71 ++
 src/Settings.vala                     |  115 ++
 src/SettingsDialog.vala               |  190 ++++
 src/Szwrapper.vala                    |  205 ++++
 src/XmodemFilenameDialog.vala         |   32 +
 src/posix.vapi                        |  746 +++++++++++++
 xmldocs.make                          |  101 ++
 74 files changed, 11242 insertions(+)
